# Web Core Changelog

This changelog contains changes for Web Core

## Next Release

### Feature

- Core:
  - Commandbar:
    - Removed bciCbAdditionalMarginChips and bciCbAdditionalMarginIntegratedBtn directive ([362108](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/362108))
    - Commandbar now comes with all required stylings out of the box ([362108](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/362108))
    - new property 'additionalAddBtnMargin' to add an additional margin of 16px to the left next to the add button if required for styling edge cases ([362108](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/362108))
    - Commandbar: Enable disabled state for Commandbar Add Button ([361014](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/361014))
      - New Input property 'disableAddButton' is added which takes value 'true/false'.
      ````html
      <bci-commandbar ... [showAdd]="true" [disableAddButton]="true" [showFilter]="true"> .... </bci-commandbar>```
      ````
    - Fixed vertical alignment of chips ([370357](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/370357))
    - Fixed position of delete icon in complex filter ([370372](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/370372))
    - Gap between Text Field and Chip now covered by commandbar stylings ([370904](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/370904))
    - Fixed position of delete icon in complex filter([370372](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/370372))
- Added handling of browser's fullscreenchange event to fullscreen directive ([371218](https://dev.azure.com/bosch-bci/Nx_SM/_workitems/edit/371218/))
  - Added a changeEventEmmiter to Directive that can be used through two-way binding of bciFullscreen input

- Core Demo

  - Nested Tabs Master Detail: after reload the master view adapts to the widht of the detail viw to be visible ([261228](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/261228))
  - reduced height of Web Core demo header to be aligned with portal header ([363813](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/363813))

- Demo Apps
  - renamed browserTarget to buildTarget in project configurations

### Bugfixes

- Commandbar: Fix hiding items inside kebab menu ([358805](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/358805))
- Commandbar: style correction spacing between search and filter group followed by chips ([370904](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/370904))
- Chips:
  - Fix 'NG0100: Expression has changed after it was checked' console error while running in local environment. ([368313](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/368313))
  - Fix a performance issue which was noticeable when a lot of chips are present in the DOM ([371330](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/371330))
- Bci Chip Selectable: Extended with property 'selectable'. Makes the internal mat-chip-option selectable or not. Default is true. ([370323](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/370323))
  `````html
  <bci-chip-selectable ... [selectable]="false"> .... </bci-chip-selectable>``` ````
  `````
- Demo:
  - Dialog: Fix styling inside the Dialog Demo for content ending with form fields ([369372](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/369372))

### Deprecations

- Notification (bci-callout component): Property isClosable and event closeClicked are deprecated and will be removed with the next major release. Use bci-banner instead to have closable notifications. ([366432](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/366432))

## 17.0.2 (23.11.2023)

### Bugfixes

- Fix Web Core Demo core configuration. ([367517](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/367517))

## 17.0.1 (22.11.2023)

### Bugfixes

Core: ([367438](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/367438))

- Reverted the changes with this [PR](https://dev.azure.com/bosch-bci/Nx_Foundation/_git/web-core/pullrequest/76871) related to Config Loader doesn't support HashLocationStrategy ([364270](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/364270))

## 17.0.0 (22.11.2023)

### Info

- For more information about the migration please visit our Extended Changelog([ExtendedChangelog](https://inside-docupedia.bosch.com/confluence/x/UmsFu))
- For more information about the new Commandb Filter (BCI) please visit our docupedia page ([Docupedia](https://inside-docupedia.bosch.com/confluence/x/1NAt2Q))

### Breaking Changes

- Dialog (Alert) ([351242](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/351242))
  - Changes
    - Alert dialogs will always have an additional title from now on if they use an alert type of info, success, warning, error.
    - The additional title will always be the value of the alert type. For example info -> 'Info'
    - If the alert type is none you can customize the additional title or use the alert dialog without it.
    - You can still set an additional title for an alert dialog but it only applies if the alert type is none.
    - If you would like to translate 'Info', 'Warning', 'Success' and 'Error' as mandatory additional title you can use the BciAlertDialogIntl. You need to provide your custom intl within the component which opens the alert dialog. In addition you have to pass a ViewContainerRef of your component via the AlertService method 'openAlertBox'. Only by that your custom translation will be applied.
  - Required code changes
    - Add the BCI_ALERT_DIALOG_INTL provider to your modules where you use the alert dialog.
- BCI Chips ([337778](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/337778))
  - Since Angular split the chips into two categories with their new mdc components there are selectable and removable chips. But not combined together.
  - Therefore we introduce the bci-chip-selectable which has all features of the bci-chip except the possibility to remove it from any list.
  - The bci-chip keeps all its functionalities except being selectable.
- Multi File Select ([337703](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/337703))
  - Breaking Changes:
    - BciMultiFileSelectIntl has no longer a component label as property. Instead it was replaced with an item counter. You can translate/exchange 'item'/'items' via the Intl file.
    - Error Validation: Instead of emitting FileValidationError value the component emits a now a list of the new FileValidationError type. This contains the filename and the reason for the error.
    - Intl key for noFileSelectedMsg changed to noFilesAddedMessage
      - Therefore the data-test attributes changed to data-test="multiFileSelect.noFilesAddedMessage"
  - Feature updates:
    - Adapted default empty state message
    - select multiple files with the new allowMultipleFileSelection property
    - drag and drop multiple files to upload them
    - restrict files to have a unique file name with the property 'uniqueFileNames' - default is not activated (false)
    - the component blocks opening files on drop into the browser
  - Style updates:
    - removed not-allowed pointer on disabled add file button
    - the drop area is shown always or until the maximum amount of files is reached
    - hover and pressed styling on file drop zone
    - 'Add File' button is now a tertiary button
    - The drop zone area has a default height of 120px, you can configure it by extending the height of the container in which you are using the multi-file-select component. The component will extend the drop zone height automatically.

### Features

- Updated angular-gridster2 to v17.0.0
- Master Detail: Input property which is used to set the width of DetailView now accepts both percentage, pixels unit types. ([312273](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/312273))([337620](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/337620))
- Commandbar Filter (BCI) ([282180](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/282180))

  ```html
  <bci-filter
    *ngIf="filterType === filterTypes.New"
    (filter)="applyFilters()"
    (close)="cancel()"
    [formGroup]="filterForm"
  >
    <!-- For Ticket Filter Tab -->
    <bci-filter-tab formGroupName="ticketFilter" label="Ticket Filter">
      <bci-filter-section formGroupName="creatorDetails" label="Creator Details">
        <bci-filter-field formGroupName="username" class="full-width">
          <mat-form-field>….</mat-form-field>
        </bci-filter-field>
      </bci-filter-section>
    </bci-filter-tab>
  </bci-filter>
  ```

  - New component 'BciFilterComponent' with selector 'bci-filter' is used to open the filter modal which takes 'formGroup' as input and emits events 'filter' on click of apply button, 'close' on click of cancel button/close icon
  - New Component 'BciFilterTabComponent' with selector 'bci-filter-tab' is used to display content within each tab, takes 'label' as input to display tab name
  - New Component 'BciFilterSectionComponent' with selector 'bci-filter-section' is used to display content within each section along with reset button, takes 'label' as input to display section name
    - Each section follows a grid layout, which can accept maximum of 4 columns/fields.
    - Reset button is used to reset all the applied filters within the section component.
  - New Component 'BciFilterFieldComponent' with selector 'bci-filter-field' is used to display content within each field , the component is used to detect the value changes of the field and visibility of the field on click of search and then sends events to update the section,tab, and overall modal accordingly
    - Class 'full-width can be set on the field, to make some components used within the field to occupy the full width
  - Enum FilterTypes is used for differentiating between the old and new filter
    - export enum FilterTypes {
      Old = 'Filter',
      New = 'Filter (New)',
      }
  - New filter component is not compatible with webcomponents date-picker and multi-selector components as of now, due to ReactiveForms used in the implementation of new filter component. But will be added with the minor versions later by implementing the Angular wrapper components for web components which are compatible with ReactiveForms.

  - Commandbar Demo:

    - 'showBCIFilter' variable with the commandbar demo component is used to switch between the old filter and new filter
    - 'filterType' which holds one of the value from FilterTypes enum is passed on click of Filter button.
    - 'UserFilterService' added new methods activateNewFilter, removeNewComplexFilters, deactivateNewFilter which are used for applying, deactivating the filters from the commandbar demo and used inside commandbar-demo component and complex-filter component
    - Added new demo to demonstrate the best practice with all the basic components which can be used inside the complex filter.
    - Basic structure of the formgroup to be used is added inside the ComplexFilterComponent within the demo app, requested to follow and maintain the same structure to achieve all the functionality.

- Commandbar ([361078](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/361078))
  - The quickfilters are now placed behind the "Filter" and "Sort" button
  - The [Brandguide](https://brandguide.bosch.com/document/118#/design-patterns/command-bar-bci) defines different margins between elements. Web Core handles those margins out of the box. But there are 2 edge case where you as a developer need to add an extra margin.
  - 1: Chips beside each other
    - Between 2 chips places within the quickfilter you need to add an extra margin of 4x (default 12px + 4px -> 16px margin between the chips) by adding bciCdAdditionalMarginChips directive. This add a margin to the left of 4px.
  - 2: If an integrated button has a chip before
    - If that is the case in the list you need to ensure to add an extra margin of 12px to the left to the button. You can do that by adding the bciCbAdditionalMarginIntegratedBtn to the button.

### Bugfixes

- Restored Picklist and Bci Core Picklist drag/drop functionality on source list if it is empty ([362109](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/362109))
- Tab Navigation: removed unnecessary margin between arrow and back button ([361009](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/361009))
- Dialogs (modal-window component) ([315279](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/315279))
  - restored functionality of autoFocus configuration via MatDialogConfig
  - By that the close icon is not focusable via keyboard anymore. YOu can still close the dialog via the esc key.
- Demo:
  - Nested Tabs - Breadcrumbs last element is clickable in demo ([298475](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/298475))
- Core:
  - Config Loader doesn't support HashLocationStrategy ([364270](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/364270))

### Deprecations

- BciFormFieldNotificationComponent - Input Field Validation - We can now have four validation states using mat-hint and mat-error. Where mat-hint is used as Info, mat-hint with success directive is used for Success state, mat-error is used as Error state, mat-error with warning directive is used for Warning state. Therefore the 'BciFormFieldNotificationComponent' and the NotificationType type is deprecated and instead use mat-hint and mat-error elements. ([326948](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/326948))
- bci-picklist (PickListComponent) is now deprecated, instead switch to bci-core-picklist (BciCorePicklistComponent). ([353368](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/353368))
- bci-tile and bci-tile-skeleton components are deprecated. Both will be removed with the next major release. Replace it with the Angular material card and the new bci-card-skeleton.

## 16.0.5 (25.10.2023)

### Bug Fixes

- restored Picklist and Bci Core Picklist reorder functionality on target list ([361202](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/361202))

## 16.0.4 (19.10.2023)

### Features

- BciDurationPicker: Select a duration by picking each value via BciNumberPicker or tying the duration into the input field.
  - BciNumberPicker: Select a specific number by using arrows, keyboard arrows, mouse wheel or typing the value into the input.
  - BciDirtyFlag: Directive that emits a boolean when the targeted area is dirty, before loosing the focus of the targeted area.
  - BciTouchedFlag: Directive that emits a boolean when the targeted area is touched.
  - BciDropdownPlaceSetter: Directive that checks and calculate if the dropdown hase enough space to open above or below
    (available aslo in modal contexts).
    Workitem: ([157573](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/157573))

### Bug Fixes

- Commandbar - Fix for Search Input field inside Command Bar has shifted styling in VP1 ([336773](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/336773))
- Commandbar - Fix for wrong padding in Command bar and hover , active state for bci-chip inside options menu dialog ([353254](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/353254))
- Commandbar: corrected margin between options menu indicator and add button ([327041](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/327041))
- Side Navigation: adapted active navigation item stylings to updated DDS definition ([327041](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/327041))
- Tab Navigation: Enchance the demo description to custom directive and component ([327041](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/327041))
- Modal: Fix undefined error in console inside modal-window.service.ts ([327041](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/327041))
- Modal Service: config property for openDialogWithComponent method is now not mandatory and doesn't cause errors if it is missing ([354297](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/354297))
- Restored Picklist and Bci Core Picklist drag and drop functionality ([359436](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/359436))

## 16.0.3 (24.08.2023)

### Features

- Core:
  - Picklist: Add cdk virtual scrolling feature to picklist bci-picklist ([89741](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/89741))
  - Commandbar ([333634](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/333634))
    - Extended the commandbar with a 'overrideSearchFieldBreakpoint' flag
    - If you were using the commandbar in a master detail view for example it could be that the search field was already hidden behind a magnifier icon although there was still enough place to show the search field. With the new flag you can override this that the search field will be shown until it doesn't fit the screen width anymore.
    - In addition the commandbar adapts to a visible option menu and add button automatically.
  - Demo: added best practice for disabled password input field ([324793](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/324793))

### Bug Fixes

- Button - Fix alignement for icon with label in firefox ([342314](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/342314))
- Master Detail - Fix closing of detail view on click of 'ESC' key ([338144](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/338144))
- Link - Fix focus state of anchor tag in different browsers ([345396](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/345396))
- Alert Dialog - Fix width issue in firefox ([347358](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/347358))

## 16.0.2 (14.07.2023)

### Features

- Core:

  - Card ([312268](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/312268))
    - migrated to mdc card module of Angular Material, please switch to mdc card module
    - Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
    - use attribute 'active' to set the card to active styling
    - extended bciCardColorState directive
      - for backward compatibility the name remains the same - with the next major release it will be renamed to bciCard
      - bciCardDisabled - disabled styling
      - bciCardDisabledWithBorder - adds a border with disabled styling (only works if the card is disabled via bciCardDisabled property)
      - extended the color set with a neutral color called neutral
      - bciCardVertical - styles the card vertically (border on the left)
    - Example with all new properties. Please checkout the new Card demo for a variety of examples
    ```html
    <mat-card
      [bciCardColorState]="'neutral'"
      [bciCardDisabled]="false"
      [bciCardDisabledWithBorder]="false"
      [bciCardVertical]="true"
      [attr.focus]="'focus'"
    ></mat-card>
    ```
  - Overview tile component now uses mat-card internally ([331099](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/331099))
  - Multi File Select now uses internally the label value pair component which was introduced with the last release. Therefore the labels are now bold if you have selected a file.
  - Commandbar: added new feature of a tooltip for the search field. Can be activated via the input property 'showSearchTooltip'. The tooltip takes the text of the placeholder of the search field which is set by the BciShareIntl or your own intl file. ([338218](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/338218))
  - Context Menu - New directive 'bciMenuMaxHeight' is added to enable auto scroll of menu based on the available space, the directive acts as input attribute which takes boolean value to know if the menu is opened/closed. Check out the demo source code on how to use them. ([323833](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/323833))
    Example - <button [matMenuTriggerFor]="labeled" #t="matMenuTrigger" [bciMenuMaxHeight]="t.menuOpen" ></button>

- Auth: updated angular-auth-oidc-client to v16.0.0 ([319370](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/319370))
  - Please check the ([Migration Guide v15 to v16](https://nice-hill-002425310.azurestaticapps.net/docs/migrations/v15-to-v16)) for more information

## 16.0.1 (23.06.2023)

!!! THIS UPDATE INTRODUCED A BREAKING CHANGE TO RESTORE TRANSLATION FUNCTIONALITY !!!

### Breaking Change & Bug Fix

- Core: BciSharedIntlProvider: Introduced Breaking Change with Web Core v15.0.0 now comes into place ([330729](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/330729))
  - **(Changelog entry from v15.0.0)** BciSharedIntlProvider: The provider is no longer part of the BciSharedModule ([268683](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/268683))
    - Before the BciSharedIntlProvider was automatically integrated to your web core app, now you have to add it manually to your desired module
    - Therefore you could use your own Intl Provider globally in your app. You do not have to override module or component wise.

### Features

- New label/value pair component (bci-label-value-pair)
  - Displays a labeled value with various options to format the display of the value. The value can either be provided as is or using content projection.
  - Inputs:
    - label - string - required
    - value - string | number | boolean - not required
    - wrap - whether the text wraps - default disabled - not required
    - right align - whether the label and value are aligned to the right - default disabled - not required
    - rightToLeft - whether to align the value right to left - default disabled - not required
    - boldLabel - whether the the label is bold - default enabled - not required
    - boldValue - whether the the value is bold - default disabled - not required
  - Example
    ```html
    <bci-label-value-pair
      [class.guide]="visualGuide.checked"
      class="short-label"
      label="Regular label"
      value="My way to long text to be put in this label/value pair component"
      wrap
      boldLabel="false"
    ></bci-label-value-pair>
    ```
- Step Indicator - Added style changes for pressed, focused state of the step ([321205](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/321205))
  - 'small' directive is added to style the small horizontal stepper example: <mat-horizontal-stepper small></mat-horizontal-stepper>
- Input Field Validation - We can now have four validation states using mat-hint and mat-error. Where mat-hint is used as Info, mat-hint with success directive is used for Success state, mat-error is used as Error state, mat-error with warning directive is used for Warning state. With the next major release of webcore, 'BciFormFieldNotification' component will be deprecated and instead use mat-hint and mat-error elements.([326948](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/326948))
- Demo:
  - Input Field Demo - Removed mat-hint and mat-error deprecated section
  - Data Table(Table) , MasterDetail (Table, NestedTabs) - Updated the demo to demonstrate the best practice for VP1/VP2.

### Bug Fixes

- Multi File Select: fixed styling of file cards ([333253](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/333253))
- Commandbar: Fixed styling of bciToggleButton ([323613](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/323613))
- Step Indicator - Changes for fix long label issue ([321205](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/321205))
- Master Detail Table: Fix responsive View of Master Detail Component "Table" behaveing differently than "Data table" ([323370](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/323370))
- Table: Add style for selected state for striped rows, columns and remove hover state ([321206](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/321206))
- List: Remove hover state and style selection state ([321206](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/321206))
- Pinboard: ([331088](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/331088))
  - Widgets: removed hidden checked icon from configuration menu
  - Demo: improved toolbar styling

## 16.0.0 (26.05.2022)

### **Breaking Changes**

- Updated to Angular v16 ([318651](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/318651))
- Multi File Select: added 3 new translation possibilities to translate, please add them to your multi-file-select-intl file to have all labels shown. ([318735](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/318735))
  - File name label: fileNameLabel (for example 'File name')
  - File size label: fileSizeLabel (for example 'File size')
  - File type label: fileTypeLabel (for example 'File type')
- Removed @angular/flex-layout dependency
- Removed all flex layout breakpoint directives including:
  - FlexLayoutShowMobileDirective, FlexLayoutShowTabletDirective, FlexLayoutShowDesktopDirective, FlexLayoutHideMobileDirective, FlexLayoutHideTabletDirective, FlexLayoutHideDesktopDirective
  - FlexLayoutClassMobileDirective, FlexLayoutClassTabletDirective, FlexLayoutClassDesktopDirective
  - FlexLayoutOrderMobileDirective, FlexLayoutOrderTabletDirective, FlexLayoutOrderDesktopDirective
  - FlexLayoutFlexMobileDirective, FlexLayoutFlexTabletDirective, FlexLayoutFlexDesktopDirective
  - FlexLayoutLayoutMobileDirective, FlexLayoutLayoutTabletDirective, FlexLayoutLayoutDesktopDirective
  - FlexLayoutLayoutAlignMobileDirective, FlexLayoutLayoutAlignTabletDirective, FlexLayoutLayoutAlignDesktopDirective
  - FlexLayoutLayoutGapMobileDirective, FlexLayoutLayoutGapTabletDirective, FlexLayoutLayoutGapDesktopDirective
  - FlexOffsetMobileDirective, FlexOffsetTabletDirective, FlexOffsetDesktopDirective
  - FlexAlignMobileDirective, FlexAlignTabletDirective, FlexAlignDesktopDirective
  - FlexFillMobileDirective, FlexFillTabletDirective, FlexFillDesktopDirective
- Removed BOSCH_FLEXLAYOUT_BREAKPOINTS_PROVIDER (use FLEX_BREAKPOINTS instead)
- Remove map functionality: Clean up dashboard type from frontend ([325877](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/325877))

### Features

- Charts: Updated chart.js library to version 4.3.0 ([318651](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/318651)) ([323919](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/323919))
- Pinboard: Updated angular-gridster2 to version 16.0.0 ([318651](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/318651)) ([323920](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/323920))

### Features

- added Typography demo page ([322473](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/322473))

### Deprecations

- Chip List: Removed deprecated stylings for chip list. Please use bci-form-field-notifications for validation ([320448](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/320448)) ([317193](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/317193))

## 15.0.1 (22.05.2023)

### Bug Fixes

- Picklist (Beta) - Rename from Picklist (Core) to Picklist (Beta) inside demo ([317193](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/317193)) ([319483](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/319483))
- Dialog - Fixed the styling for long header ([317193](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/317193)) ([319762](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/319762))
- Radio Button: added focus state styling and hover state on label ([317193](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/317193)) ([319486](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/319486))
- Logger: LogObject: added missing optional property error ([320469](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/320469))

## 15.0.0 (18.04.2023)

### **Breaking Changes**

- Updated to Angular v15 ([283562](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/283562))
  - migrated to the new MDC Progress Bar Component ([305010](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/305010))
  - For all Angular Material Components (except Progress Bar) we migrated to the Legacy components.
  - Core Demo: Replaced all angular-flex-layout layouts with standard CSS layouts ([289353](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/289353))
- Bci-chip ([298448](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/298448))
  - new attribute 'selectable' is added to know if chip can be selected/deselected
  - new eventemmitter 'selectionChange' is added to get the on selection changes for chip
- BciFormFieldNotification Component ([291982](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/291982))
  - instead of '\*ngIf' use 'show' attribute to hide/show a notification.
  - Example: <bci-form-field-notification messageType="success" [show]="isValidEmail">Email OK</bci-form-field-notification>
- BciSharedIntlProvider: The provider is no longer part of the BciSharedModule ([268683](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/268683))
  - Before the BciSharedIntlProvider was automatically integrated to your web core app, now you have to add it manually to your desired module
  - Therefore you could use your own Intl Provider globally in your app. You do not have to override module or component wise.
- Refactor of the naming convention from gridSize to grid-size ([272932](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/272932))
- Removed BOSCH_COLORS (use BOSCH_DDS_COLORS instead) ([283562](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/283562)) ([283562](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/301230))
- Removed all old colors (see Common Styles v5) ([283556](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/283556)) ([283557](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/283557))
- Removed TableStripedHorizontalDirective (use TableStripedColumnsDirective instead) ([283562](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/283556)) ([301236](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/301236))
- removed BciProductInfoComponent and BciProductInfoColumn ([297734](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/297734))
- ChartJSContentComponent: Updated to chartjs 4.2.0 ([285475](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/285475))
  - options input parameter changed --> ChartOptions from chart.js
- Alert Dialog: Removed maxWidth property from AlertBoxOptions interface since it has no effect anymore. ([283562](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/283562)) ([307602](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/307602))
  - The Alert Dialog will automatically adapt its width in VP2 depending on the content. VP3 and VP1 have a fixed width
- Removed the Media Observer of @angular/flex-layout (used in master-detail) ([283562](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/283562)) ([308081](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/308081))
  - The Media Observer can be replaced by using the Angular Cdk Layout Module with its [BreakpointObserver](https://material.angular.io/cdk/layout/overview)
  - As Breakpoints you can use the Breakpoints provided by BOSCH_MEDIA_QUERIES constant.
- Value Modificator - change in bciValueModificatorButton directive placement, style Changes ([311958](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/311958))
- Input Field: Fixed floatLabel='never' has no cursor when placeholder exists, by replacing it with appearance='fill' to get the proper stylings ([312506](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/312506))
- Input Chiplist - For an outside style chiplist component, bci-form-field-notification must be placed inside bci-chip-list-autocomplete element. ([3125067](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/3125067))

### Features

- Pinboard: bci-content-placeholder component now has a 24px icon instead of 100px
- Pinboard: updated angular-gridster2 library to v15.0.3 ([306179](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/306179))
- Demo:
  - Chip ([298448](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/298448))
    - Added examples with disabled, removable, selected, toggle states for the chips
- Angular Flex Layout: Since @angular/flex-layout is deprecated we removed all flex-layouts statements. They were replaced by css flex. ([305493](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/305493))
- Angular Flex Layout: upgraded to version 15.0.0-beta.42 ([283562](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/283562)) ([311946](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/311946))
- Charts: Updated chart.js Version from Version 2.9.4 to 4.2.0 ([285475](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/285475))
  - removed deprecated functions createGaugeChart and createThresholdChart
- Auth: updated angular-auth-oidc-client to v15.0.3 ([283568](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/283568))
  - Please check the ([Migration Guide v14 to v15](https://nice-hill-002425310.azurestaticapps.net/docs/migrations/v14-to-v15)) for more information
- Chip List: Fixed inline styles ([305303](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/305303)) ([283562](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/283562))
- Picklist (Beta): ([289337](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/289337))
  - New component (Beta)
  ```html
  <bci-core-picklist
    (noOfItemsChangedWithAction)="showNotification($event)"
    [sourceFilterHeader]="'Available fruits'"
    [targetFilterHeader]="'Fruit salad'"
  ></bci-core-picklist>
  ```
  - We have new style changes which are inline with DDS.
  - new input attributes are added 'sourceFilterHeader', 'targetFilterHeader' to set Source/Target Filter headers instead of 'bciPicklistSourceHeader'/'bciPicklistTargetHeader' directives to set styling according to DDS.
  - event handler 'noOfItemsChangedWithAction' is added to receive data on no. of items added/removed and the action type 'add/remove'.
  - a new sort icon is added inline with headers, shown based on the input attribute 'showSort', true or false.
  - input atrtibute 'showFilter' with value true or false will decide to show filter at both source and target level.
  - input attribute 'customFilterTemplate' is used for providing the custom filter template at both source and target level.
  - Default sort has been set to 'ascending'.
  - Manual sorting is now enabled at the target while adding items when the sort is not allowed at target
  - Search filter is disabled when there are no items.
  - 'Select All', 'Deselect All' is one button, which changes based on the user selection, for example when all the items are selected at source using 'Select All' button, now the button label changes to ' Deselect All'.
  - 'Add All' and 'Remove All' are not arrow buttons. Instead these are Tertiary buttons placed inline with the 'Select All'/'Deselect All' button.
  - For more information, please visit our [demo page](https://atmo1opcondemo.de.bosch.com/WebCore/demos/core/form-controls/bci-core-picklist-demo).
  - If you as developers like the component, use it and give us feedback.
  - Feedback is highly appreciated.
- Core:
  - Tab Navigation: Changes for fixing style changes according to DDS ([305369](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/305369))
  - Commandbar - Fix complex filter styling in VP1, VP2 and changes for truncating long label for item count. ([305480](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/305480)) ([308274](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/308274))
  - Dropdown - Fix max-height for angular ([308996](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/308996))
  - Input: Placeholder color change. ([312704](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/312704))
  - Commandbar - Label 'items' will not be displayed in mobile view, a tooltip is displayed if the text exceeds defined max-width ([302784](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/302784)) ([313160](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/313160))
- BciShowHideDirective
  - directive to hide or show elements (replacement for FlexLayoutShow / Hide Directives)
  - works with BOSCH_MEDIA_QUERIES (mobile, tablet, desktop) and BreakpointObserver of [Angular Layout Cdk](https://material.angular.io/cdk/layout/overview)
  - 3 input variables to manage behavior
    - bciShowHide - which BOSCH_MEDIA_QUERIES - mobile, tablet or desktop
    - mode - if the element should be shown or hidden - 'show' or 'hide'
    - display - CSS display value - default block - any valid CSS display value
  - Example:
  ```html
  <h2 [bciShowHide]="'mobile'" mode="hide" display="block">Headline</h2>
  ```

### Deprecations

- Usage of @angular/flex-layout library. Since this library is deprecated all functionalities will be removed step by step. Please remove it from all applications as well (beginning with Angular and Web Core v15)
- All flex layout breakpoint directives.
  [@angular/flex-layout](https://github.com/angular/flex-layout): No longer used/supported. This also applies to flex-layout breakpoint directives. In general they can all be replaced by plain CSS but here is an overview of all directives.
  | Directive | Replacement |
  | ----------- | ----------- |
  | FlexLayoutShowMobileDirective, FlexLayoutShowTabletDirective, FlexLayoutShowDesktopDirective, FlexLayoutHideMobileDirective, FlexLayoutHideTabletDirective, FlexLayoutHideDesktopDirective | BciShowHideDirective (new, more information in the Features section)|
  | FlexLayoutClassMobileDirective, FlexLayoutClassTabletDirective, FlexLayoutClassDesktopDirective | use Standard ngClass directive of Angular |
  | FlexLayoutOrderMobileDirective, FlexLayoutOrderTabletDirective, FlexLayoutOrderDesktopDirective | (no replacement) |
  | FlexLayoutFlexMobileDirective, FlexLayoutFlexTabletDirective, FlexLayoutFlexDesktopDirective | (no replacement) |
  | FlexLayoutLayoutMobileDirective, FlexLayoutLayoutTabletDirective, FlexLayoutLayoutDesktopDirective | (no replacement) |
  | FlexLayoutLayoutAlignMobileDirective, FlexLayoutLayoutAlignTabletDirective, FlexLayoutLayoutAlignDesktopDirective | (no replacement) |
  | FlexLayoutLayoutGapMobileDirective, FlexLayoutLayoutGapTabletDirective, FlexLayoutLayoutGapDesktopDirective | (no replacement)|
  | FlexOffsetMobileDirective, FlexOffsetTabletDirective, FlexOffsetDesktopDirective | (no replacement) |
  | FlexAlignMobileDirective, FlexAlignTabletDirective, FlexAlignDesktopDirective | (no replacement) |
  | FlexFillMobileDirective, FlexFillTabletDirective, FlexFillDesktopDirective | (no replacement) |
- Input Field - FloatLabel with value 'never' is deprecated.

## 14.0.14 (14.04.2023)

### Features

- CommmandBar: Item count label now respects singular and plural forms ("1 item" / "2 items")
- Core Demo: example for commandbar inline filter labels if not containing a MatFormField
- Bci-Select: Dropdown panel stylings now come globally from common styles ([313377](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/313377/))

### Bug Fixes

- Bci Content: styling for blurred background adapted for Firefox ([308550](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/308550/))
- Commandbar: If you use tooltips and chips you now have a correct margin to the right ([310705](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/310705/))

## 14.0.13 (24.03.2023)

### Features

- Multi File Select: now using the empty state to display that no files are selected ([310289](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/310289/)) ([311756](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/311756/))

### Bug Fixes

- Auth: Align silent token renew URLs to use the same base href ([308079](https://dev.azure.com/bosch-bci/Nx_SM/_workitems/edit/308079))
  - To have web core compose the silent renew url including the base href, you have to provide the APP_BASE_HREF injection token.
  - Otherwise, please configure authAssetsPath including your base href
- Auth: Fix token payload access while not authenticated ([309017](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/309017/))

## 14.0.12 (03.03.2023)

### Info

The Web Core development home on ADO has changed on 22.02.2023

Please visit [our Docupedia page](https://inside-docupedia.bosch.com/confluence/x/mpOIIw) to find the new location in Nx_Foundation.

### Features

- Updated angular-gridster2 to v14.1.4 ([305601](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/305601))
- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Color: Updated color naming on color demo page according to DDS ([299605](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/299605)) ([306397](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/306397))
  - There are no changes to the colors itself
- Auth: updated angular-auth-oidc-client to v14.1.5 ([273367](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/273367))
  - Please check the ([Migration Guide v13 to v14](https://nice-hill-002425310.azurestaticapps.net/docs/migrations/v13-to-v14)) for more information

### Bug Fixes

- Bci Link: Changes for the iconName inside linkOptions will apply to the UI ([305390](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/305390))
- CommmandBar: Translation of items is available through BCISharedIntl ([306787](https://dev.azure.com/bosch-bci/Nx_Foundation/_backlogs/backlog/Team%20Web%20Core/Stories/?workitem=306787))
- Messages: Remove the icons from the messages filter modal, replace the icon with label inside the table ([299605](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/299605))
- Demo:
  - remove closable icon example from the Notification Demo ([299605](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/299605)
- Dialog Overlay ([305396](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/305396))
  - To meet the width and height style requirements by the [BDDS](https://brandguide.bosch.com/document/221) we now style the cdk-overlay-pane if it contains a dialog. This will affect basic modals and the alert dialogs. For more information check out our overview table on the Web Core [Modal & Dialog](https://atmo1opcondemo.de.bosch.com/WebCore/demos/core/modals-popups/dialog-modal-demo) and [Alert & Warning](https://atmo1opcondemo.de.bosch.com/WebCore/demos/core/modals-popups/alert-modal-demo) Demo.

## 14.0.11 (17.02.2023)

### Features

- Core Demo
  - Alert & Warning, Dialog & Modal ([298056](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/298056))
    - added a table with the sizes (min-width, max-width, min-height, max-height) of all viewports
- Pinboard Demo: Fixed edit icon and empty state text ([226948](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/226948))

### Bug Fixes

- Auth: Fix post login navigation ([300749](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/300749/))
- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Chip List Autocomplete Inline Style Flyout now sticks to the form field of the chip list ([285236](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/285236)):

## 14.0.10 (01.02.2023)

### Bug Fixes

- List: Fix for multilines ([296743](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/296743))
- Includes changes from Common styles to remove the Bosch Sans Global Font ([299403](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/299403))

## 14.0.9 (30.01.2023)

### Features

- Configurable session storage discriminator ([295403](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/295403))
  - Remove auto session storage scope discriminator generation -> This lead to synchronization issues during auth flow
  - Add possibility to pass in unique session storage scope discriminator from the outside via query parameter
  - This can be configured through the new configuration attribute queryParamStorageScopeDiscriminator
  - If no discriminator is found in the URL, storage will not be scoped
- Maps Demo ([297028](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/297028))
  - Fix misalignment and styling issues for elements in locations and maps editor
  - replace toolbar with commandbar
- Pinboard Demo ([296743](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/296743))
  - fix misalignment of search icon in widget catalog

### Bug Fixes

- Core

  - Commandbar ([296743](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/296743))
    - misaligned search icon in firefox is now aligned
  - Modal ([296743](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/296743))
    - Add data-test attibute for optional button
  - Multi File Select ([297736](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/297736))
    - updated filesize lib to v10.0.6
    - added Filesize Pipe to exports of SharedModule

- Core Demo
  - Loader Service ([297028](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/297028))
    - Fix styling issues with using our component bci-modal-component
    - Add information about this component also in the dialog & modal
  - Input Field ([298059](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/298059))
    - added default gap of 16px to bottom
    - added new demo part for that to the input field demo
    - adapted all other affected accordingly
  - Datepicker ([296743](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/296743))
    - Add missing label for examples

## 14.0.8 (20.01.2023)

### Features

- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Dialog & Modal ([295922](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/295922)):
    - new input "closeIconDisabled" to disable the close icon in the upper right corner
    - new input "isDialogCloseable" to switch between closable and non-closable dialog
    - current input "closeOnBackdropClick" was extended: Closing the dialog with the ESC key is related to the "closeOnBackdropClick" input.
    - added demo for showing the new features in dialog & modal

### Bug Fixes

- Dialog: ([295922](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/295922))
  - Fix scrolling behavior and styling for all VPs
  - Fix position of alert icon
- Commandbar - Change search icon as search button as per DDS ([296743](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/296743))
- Link - remove underline on hover for link with icons ([296743](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/296743))

## 14.0.7 (12.01.2023)

### Features

- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Side Navigation: fixed scrollbar hover color ([281840](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281840)) ([286800](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/286800))
  - Font Weight: General font weight is 400, now using everywhere mixin make-font-regular, except an other font weight is intended ([281840](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281840)) ([286805](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/286805))
  - Side Navigation (Scrollbar) ([281840](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281840)) ([286801](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/286801))
- Demo (Core)
  - All h2 tag headlines are now bold (font weight: 700) to show a best practice ([281840](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281840)) ([286810](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/286810))
  - Removed Datetime Picker examples without labels because it is a bad practice ([281840](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281840)) ([286809](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/286809))
  - Navigation (ScrollIntoView) on selected pages ([283276](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/283276))
  - Updated Mandatory field text examples ([294735](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/294735))
- Core: Updated to all latest Angular v14 versions ([283580](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/283580))

### Bug Fixes

- Demo (Core)
  - Fix alignment of icons in Icon Demo page ([281840](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281840)) ([286705](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/286708))
  - Fix Divider Color ([281840](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281840)) ([286707](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/286707))
- Dialog - remove margins for buttons outisde dialog actions ([281840](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281840)) ([286803](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/286803))
- Input Field - Fix for Prefix, Suffix, remove 24px from botton of the input field ([281840](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281840)) ([286806](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/286806)) ([286704](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/286704))
- Commandbar: ([281896](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281896))
  - Fix for modalpopup on Add
  - Added label 'items' after the number on the commandbar Toolbar
  - Fix for overflow message
  - Demo: Fix for filter modal
  - Fix for dialog in VP2
  - Input Field Layout gaps
- Tab Navigation - 2 px gap between inkbar and border ([282558](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/282558))
- Chip List Autocomplete ([289287](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/289287))
  - chip list with add on blur activated no longer facing the bug that free text option and autocomplete option selected are added as chips (2 chips at the same time)

### Deprecations

- Usage and stylings for mat-hint and mat-error with mat-form-field is not longer supported, instead use bci-form-field-notification component.

## 14.0.6 (29.11.2022)

### Hotfix

- Bci-Select ([286842](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/286842))
  - removed visible list icon from options in the flyout
  - corrected hover state for disabled selects

## 14.0.5 (25.11.2022)

### Features

- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Notification (Callout) ([279539](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/279539)) ([282325](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/282325))
  - Expansion Panel ([279539](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/279539))
    - Now has both stylings Large - use for desktops only, Small - use primarily for mobiles
    - Usage of description inside header is now not supported
    - New directive ("bciMatExpansionSmall") to add styles for hover, active, pressed states for small panel
    - Demo: Examples with both Large and Small panels
  - Autocomplete Chips List: removed rounded corners, set max-height for autocomplete panel and correct stylings for readonly state ([279539](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/279539)) ([282318](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/282318))
  - Chip: Align Text and remove icon ([279539](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/279539)) ([285225](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/285225))
- Dropdown (Beta): ([282083](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/282083))
  - New component (Beta)
  ```html
  <bci-select placeholder="Select" label="Pick an option">
    <mat-option value="option-1">Option 1</mat-option>
    <mat-option value="option-2">Option 2</mat-option>
  </bci-select>
  ```
  - With our own implementation of the select component, we fixed some UX-related issues and enable the select panel to open to the top and to the bottom while using a dynamic width.
  - For more information, please vist our [demo page](https://atmo1opcondemo.de.bosch.com/WebCore/demos/core/form-controls/dropdown-beta-demo).
  - If you as developers like the component, use it and give us feedback.
  - Feedback is highly appreciated.
- Input Field: ([281735](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281735))
  - Default notification type is now 'info'
  - Switch Input Type from string to new NotificationType = 'info' | 'warning' | 'success' | 'error' inside bci-form-field-notification component
- Demo (Core):
  - Input Field - removed mat-hint and mat-error, replaced with bci-form-field-notification ([281735](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281735))
  - Adapted Slider Demo ([270178](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/270178))
  - Datepicker
    - remove examples where input disabled and calendar icon enabled as it is not inline with DDS guidelines ([279539](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/279539)) ([282320](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/282320))
    - Info: the datetime picker now takes 100% of the available space ([280731](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/280731))

### Deprecations

- Usage and stylings for mat-hint and mat-error with mat-form-field, instead use bci-form-field-notification component.

## 14.0.4

### Features

- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))

  - MasterDetail List ([272713](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/272713))
    - New directive ("bciList") to add styles for hover, active, pressed states similar to dropdown
    - Demo: Fixed on delete of the list refresh state issue.
  - MasterDetail Tile ([272713](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/272713))
  - Empty State: improved demo page ([272713](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/272713)) ([278024](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/278024))
  - Minor Style Changes for components as part of ([279611](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/279611))([272713](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/272713))
  - Added padding on all scrollbars, except for the sidebar scrollbar ([269577](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/269577))

- Demo (Core, Auth, Pinboard):
  - changed wording for mandatory inputs from "This field is required" to "(\*) Mandatory field" ([272156](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/272156))
  - Aligned wording based on files ([176973](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/176973/))

### Bug Fixes

- Table Demo: Fix Switch Toggle glitch ([275680](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/275680))
- Commandbar Demo: Fix Console Error ([272713](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/272713))

## 14.0.3

### Features

- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Chip, Input chip list: Changes for Overflow Content/Text Truncation ([264955](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/264955))
- WebCore Demo:
  - Card ([272715](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/272715)) ([268655](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/268655))
    - Responsiveness of content
    - Change styling to correct distance of icons inside
- Empty State ([240111](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/240111))
  - Empty States occur whenever content can not be displayed, due to different circumstances, for example if an application is opened for the first time or no data can be displayed.
  - You can use the Empty State component via the selector: `<bci-empty-state>`
  - All elements you put into the component via content projection are styles according to the style requirements.
  - If you would like to use the bci empty state with a certain height you have to assign a height to the parent element
- Removed unnecessary console output on dialog demo page ([268655](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/268655)) ([272771](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/272771))

### Bug Fixes

- Corrected color code for boschGreen45 ([268655](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/268655)) ([276207](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/276207))

## 14.0.2

### Deprecations

- Product-Info: product-info.component (https://atmo1opcondemo.de.bosch.com/WebCore/demos/core/layout-demo/product-info-demo)

### Features

- Core: Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Dialog ([264790](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/264790))
  - Loading Screen ([254354](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/254354))
  - Multi-File-Select: Instead of a link bciSecondaryButton is used ([268654](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/268654))
  - Side Navigation ([268654](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/268654))
  - Step Indicator ([268654](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/268654))
  - Card: fix padding-top of cards without border ([268654](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/268654))
  - Option Bar: horizontally alignment of icons ([268654](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/268654))
  - Notification Banner: Adapt responsive behavior according to viewports similar to header ([265538](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/265538))
  - Input: Fix the border bottom styling for mat-error ([265538](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/265538))
  - Commandbar ([225372](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225372))
  - Chip: new property's 'selected' , 'icon' are added to define the active states, chips with icons inside commandbar ([225372](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225372))
- Input Chip List
  - New Property readonlyUserInput for bci-chip-list-autocomplete to make the input readonly ([169207](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/169207))
  - Add Border Bottom Line for Inline chips, Overlay styling similar to dropdown ([265538](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/265538))
- Dialog:
  - new property 'additionalTitle' for a second separated header above the first title ([264790](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/264790))
  - new full layout for demo and add dropdown to select ready templates ([264790](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/264790))
- Tab ([265538](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/265538))

  - Adapt responsive behavior according to viewports
    Example:

    ```html
    <mat-tab-group class="page-tab-group" [bciTabNavigationCustomPadding]></mat-tab-group>
    ```

  - Added new custom directive 'bciTabNavigationCustomPadding' to add custom padding to the mat-tab-group, this aligns the label, ink-bar and body wrapper to given value
    tabAction has values [Add, Delete]
    Example:
    ```html
    <mat-tab-group
      class="demo-tab-group"
      dynamicHeight
      [bciTabNavigationCustomPadding]="'24px'"
      [tabAction]="tabAction"
      [deleteTabPosition]="deleteTabPosition"
      [addTabPosition]="addTabPosition"
      [tabs]="dynamicTabs"
    ></mat-tab-group>
    ```
    Example for Tab with Back button:
    ```html
    <bci-mat-tab-group
      backButtonUrl="/layout-demo"
      [isBackButtonVisible]="includeBackButton"
      [bciTabNavigationCustomPadding]="'24px'"
      [tabs]="dynamicTabs"
      [tabAction]="tabAction"
      [addTabPosition]="addTabPosition"
      [deleteTabPosition]="deleteTabPosition"
    ></bci-mat-tab-group>
    ```
  - Demo : Rename Tab to Tab Navigation

### Bug Fixes

- Widget-settings-form no longer emits changes when the form is being set up initially ([265895](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/265895/))
- Input Chip List: Fix notification appears below chips displayed outside the input ([169207](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/169207))
  -When implementing notifications for chips without inlinestyle (chips outside the input) you need to move the message-Tag(s) (mat-error, mat-hint and bci-form-field-notification component) inside the bci-chip-list-autocomplete-Tag and use the selector notification. As Example:
  ```html
  <mat-form-field>
    <mat-label>Example</mat-label>
    <bci-chip-list-autocomplete placeholder="This will always cause an error..." [inlineStyle]="false">
      <mat-error notification>Custom Free-Text Error</mat-error>
    </bci-chip-list-autocomplete>
  </mat-form-field>
  ```
- Preserve query parmas after login ([267438](https://dev.azure.com/bosch-bci/Nx_SM/_workitems/edit/267438))
- Dialog: fix layout problems when content is large and therefore scrollable in all VP (([264790](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/264790)))

## 14.0.1

### Features

- Core: Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Anchor tag style to default link ([238795](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/238795))
  - Input ([260067](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/260067))
- updated all Angular dependencies ([262708](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/262708))

## 14.0.0

### Info

- For more information and compatibility notes, see the [Extended Changelog](https://inside-docupedia.bosch.com/confluence/display/WC/Web+Core+14%3A+Extended+Changelog)

### **Breaking Changes**

- Upgraded to Angular v14 ([245286](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/245286))
- Core:
  - Value modificator button ([214345](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/214345))
    - Added new directives for value-modificator button and span wrapping those buttons to fulfill DDS styles
    - This only works in addition with matSuffix directive. For an example please check the demo page for input fields
  - Form field: Usage of mat-hint & mat-label ([217175](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/217175))
    - New Angular component 'bci-form-field-notification' to add background colors to validation messages underneath mat-form-field. It is similar to mat-hint & mat-error, with the attribute message-type you can differentiate the message state. Example on the demo page for input field.
  - Side Navigation ([223409](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/223409))
    - The second line of the application title was removed. Only the title property is allowed for the application title and will be truncated if too long.
  - Card (mat-card) ([248092](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/248092))
    - mat-card has no longer a default blue border at the top
    - New directive ("bciCardColorState") to add a blue, green, yellow or red border at the top
  - bci-header component was renamed to bci-webcore-header ([252553](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/252553)) ([254376](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/254376))

### Deprecations

- Core:
  - Button: Styling for Angular Material buttons (mat-raised-button, mat-button, mat-flat-button, mat-stroked-button, mat-fab) has been marked deprecated and is being replaced by new directives ([see the demo](https://atmo1opcondemo.de.bosch.com/WebCore/demos/core/buttons-indicators/button-demo))
  - Colors ([225373](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225373))
    - New Colors theme has been introduced by BDDS
      - They are available through BOSCH_DDS_COLORS constant
    - Old colors (BOSCH_COLORS constant)
      - Still available but already mapped to the new colors
      - Check your implementation if there are any problems with the new colors
      - Are not supported anymore. Please replace the old color definitions by the new ones.

### Features

- Core: Link ([238795](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/238795))
  - created a new webcore component bci-link with link options (LinkOptions Interface) to represent different ways of using a link
  - added a demo for Links using bci-link component by passing values with LinkOptions interface
- Core: Replaced old buttons implementation with new button definition for Breadcrumbs, Commandbar ([252552](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/257552))
- Core: Added Secondary Background styles for Input Chip List ([248085](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/245305))
- Core: Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Context Menu:
    - Renamed Menu to Context Menu ([248095](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/248095))
    - Added examples with icons on demo page ([225350](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225350))
  - Text Field ([217175](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/217175))
    - Added a demo for the disabled Readonly property
    - Removed Auto Float option for labels
    - Removed icon prefixes for the input
  - Toast: Button inside ([252182](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/252182))
  - Card ([225375](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225375))
  - Sidebar navigation ([223409](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/223409))
  - Step Indicator (formerly Stepper)
    - Demo updated with correct button positions ([248097](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/248097))
    - Changed name to Step Indicator ([225337](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225337))
    - Disable Animation of step indicator buttons ([225337](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225337))
    - Functionality of clicking the steps to navigate is not available anymore
  - Tabs
    - Add Labels to Tab demo and fixed functionality of add New Tab select after reading ([225351](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225351))
    - Created new component bci-mat-tab-group which is used as a wrapper for mat-tab-group, to show/hide Back Button with Tab Navigation which has input properties backButtonUrl, isBackButtonVisible. Check demo page for an example ([225351](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225351))
  - Supergraphic ([225379](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225379))
  - Tooltip ([223413](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/223413))
  - Slider ([224549](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/224549))
  - Charts ([225373](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225373))
  - Notification banner ([225590](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225590))
  - Option Bar (former Button toggle) ([218141](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/218141))
    - renamed button group/button toggle to Option Bar ([225341](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225341))
    - removed single option bar selection from demo and changed order of menu inside Buttons & Indicators ([225341](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225341))
  - Added List (Html) demo ([216993](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/216993))
  - Toast & Snackbar ([217156](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/217156))
  - Notification (former Callout) ([214312](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/214312))
  - Chip ([214311](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/214311)
  - Button ([214308](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/214308)) ([245305](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/245305))
    - Added new directives for the primary, secondary, tertiary and integrated button
  - Dialog ([225340](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225340))
    - new Functionality for Dialogs:
      - 3 new Properties for AlertBoxOptions (infoText, maxWidth and closeIconHidden
      - 2 new Alert types (success, info)
      - closeOnBackdropClick Property has new Feature for allow closing Dialogs with hitting the Escape-Key (only works if the close icon on the upper right corner is enabled)
      - 4 new optional Parameter for setting up an optional Button (optionalButtonTitle, optionalButtonAsPrimary, optionalButtonDisabled, optionalButtonHandler)
    - updated demo page according to new features for Alert & Warning
    - updated demo page according to new features for Dialog & Modal
    - for more info checkout detailed [documentation](https://inside-docupedia.bosch.com/confluence/display/WC/How+to+use+Dialogs)

### Bug Fixes

- Auth: Fix concurrency issues observed when having multiple instances of the same SCS running in parallel frames. Add new configuration parameter to allow scoping the auth sessionStorage ([238324](https://dev.azure.com/bosch-bci/Nx_SM/_workitems/edit/238324))

## 13.3.3

### Bug Fixes

- WebCore: Fixed Select box misplaced arrow ([232884](https://dev.azure.com/bosch-bci/Nx_ME/_workitems/edit/232884/))
- Pinboard: Do not crash ui on invalid widget category ([254439](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/254439/))

## 13.3.0

### Features

- Auth: Make clientId and defaultRealm configurable as Observable as well to easily apply configuration loaded from backend. ([211869](https://dev.azure.com/bosch-bci/CoreDev/_backlogs/backlog/Web%20Core%20Team/Backlog%20items/?workitem=211869))

### Bug Fixes

- Core: Stop hiding navigation items with svgIcons when navigation is minimized ([250539](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/250539))
- Pinboard: Added dashboardLoaded event, Which is invoked when dashboard is loaded. It is invoked even if the edit mode is
  active([197372](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/197372))

## 13.2.0

### Changes

- Master Detail View: make layout update automatically to dynamic detail width ([217770](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/217770))

### Bug Fixes

- Web Core: Demo startpage - added linebreaks to fit mobile view ([175573](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/175573))
- Master Detail View: add missing 100% height to detail pane ([217770](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/217770))
- Master Detail View: fix 1px width detail width if no default size is defined ([217770](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/217770))
- Web Core Demo: added label to datetime picker and label property to DatepickerDemoComponent ([219000](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/219000))

- Layout: Hide SideNav Menu on click of FullScreen Icon in Content Fullscreen within DOM ([215562](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/215562))
- Peer dependencies for rxjs did not match global package.json for demos ([219250](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/219250))

## 13.1.2

### Bug Fixes

- Command-bar Button: aria-labels on actions buttons disappear in DOM([68427](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/68427))
- Pinboard: Change cursor for drag and drop ([218195](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/218195))
- Pinboard: Facility selector pops up after widget edit ([218195](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/218195))
- Pinboard: Fix duplicate test attribute for add widget dialog ([218838](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/218838))

## 13.1.1

### Bug Fixes

- Remove @juggle/resize-observer due to massive performance regressions in views with commandbar
  Please also remove @juggle/resize-observer from your package.json.

## 13.1.0

### Features

- PickList: Optional maximum size limit for the target list ([215707](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/215707/))
- Auth Macma: add observable that returns true after first time loading of ACLs ([217509](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/217509))

### Bug Fixes

- Pinboard: Reorder widgets on resize ([213208](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/213208))
- Pinboard: Correct backdrop for pinboard filter ([215976](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/215976))
- Auth: Make user logged out again when switching tenant/realm ([217491](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/217491))
- Picklist: Drag & drop selection state reset in copy mode([187424](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/187424))
- Pinboard: While in edit mode, a widget content interaction is blocked, so that drag and drop works properly ([214070](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/214070))
- Pinboard: Widget deletion in non edit mode should be saved ([216348](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/216348)
- Pinboard: Hide filter bar if widget config is opened ([216443](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/216443)
- Introduce remove widget event while remove any widget from dashboard in order to save widgets info([197372](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/197372)

## 13.0.0

### Upgrade notices

- This release is intended for Angular 13. So please upgrade you app first to angular 13.
- Upgrade @angular/material to version 13.x
- Core: Remove `ngx-filesize` from your `package.json` and add following dependency to your dependencies.

```
    "filesize": "^8.0.7"
```

- Upgrade `@bci-web-core/material-theme` to version `~13.0.0`
- Upgrade `angular-auth-oidc-client` to version `^13.1.0`
- Remove `lodash.clonedeep` from your dependencies and add `"lodash-es": "^4.17.21"`

### Breaking changes

- Pinboard: Introduce edit mode in Dashboard ([202033](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/202033))

  This breaking change changes the behavior of Pinboard directive. The events `widgetsAdded`, `widgetRemoved`, `widgetLinkedToFilter`, `widgetSizeUpdated`, `gridsterItemDragged` are not supported anymore. Please subscribe to the `dashboardSaved` event to receive changed settings.

### Features

- Auth: Peer dependencies are updated and set to Angular V13 ([185072](https://dev.azure.com/bosch-bci/CoreDev_workitems/edit/185072))
- Auth: Default value of auto-login is now set to true ([185072](https://dev.azure.com/bosch-bci/CoreDev_workitems/edit/185072))
- Pinboard: Widget configuration property introduced in widget-definition model so that module provide can provide the widget supported configurations. Widget configuration with additional fields (showWidgetTitle, width and height) ([203576](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/203576))
- Pinboard: show/hide the widget header based on widget configuration ([203577](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/203577))
- Pinboard: Adjusted padding of pinboard-filter-bar and margins of gridster ([203578](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/203578))
- Pinboard: Adjusted height of pinboard widget and padding of gridster-item-content ([206733](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/206733))
- Pinboard: Adjusted heights and paddings of widget header styles ([208904](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/208904))
- Pinboard: Removed widgetSizeOptions and widget can now be resized by changing height and width in widget configuration page ([208904](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/208904))
- Pinboard: changed configuration width and height names ([211808](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/211808))
- Pinboard demo: update the pinboard demo for grid re-sizes ([203579](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/203579))
- Pinboard demo: Removed widgetSizeOptions and widget can now be resized by changing height and width in widget configuration page ([203579](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/203579))
- Pinboard demo: changed configuration width and height names ([211808](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/211808))
- Pinboard: Introduce edit mode in Dashboard ([202033](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/202033))

### Bug Fixes

- Bugfix: Remove circular dependency in pinboard ([211343](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/211343))

## 12.3.0

### Feature

- Auth: Deprecation of `accessControlEndpoint` in favor of the new parameter `authServerBaseUrl ([212802](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/212802))
- Auth: Make ACL endpoint configuration more flexible by offering an optional dedicated parameter `authServerACLBaseUrl` in case the endpoint runs on a different URL and a new parameter `aclPath` to configure the relative path to the ACL ([212802](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/212802))

## 12.2.0

### Features

- Core: Added a Multi Selector demo ([181891](https://dev.azure.com/bosch-bci/CoreDev_workitems/edit/181891))
- Core: Added Injection Token for MAT_SELECT_CONFIG which changes the property 'disableOptionCentering' by default to 'true' ([184501](https://dev.azure.com/bosch-bci/CoreDev_workitems/edit/184501))
- Core: New component `multi-file-select` to upload multiple files. ([198087](https://dev.azure.com/bosch-bci/CoreDev_workitems/edit/198087))
- Core: Default table is now row striped, add directive "bciTableStripedColumns" for column striped tables ([170540](https://dev.azure.com/bosch-bci/CoreDev_workitems/edit/170540))
- Core: directive "TableStripedHorizontalDirective" is now deprecated ([170540](https://dev.azure.com/bosch-bci/CoreDev_workitems/edit/170540))
- Auth: disable check IDToken's iat claim on the client side to avoid issues with clock skew and security is handled server side anyways ([202456](https://dev.azure.com/bosch-bci/CoreDev_workitems/edit/202456))
- Update to @bci-web-core/material-theme 12.3.0

### Bug Fixes

- Auth: obey configuration for offset to renew token before expiration (`refreshTokenTimeInSeconds`) ([202456](https://dev.azure.com/bosch-bci/CoreDev_workitems/edit/202456))
- Core: Blinking cursor not visible in Command-Bar search when hovering ([206897](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/206897))
- Core: Missing padding at the end of commandbar-addmenu component entry ([207186](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/207186))
- Core: Badge is rotated in Command-Bar ([206323](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/206323))

## 12.1.0

### Feature

- Core: extend Web Core chip list input with a placeholder option ([178491](https://dev.azure.com/bosch-bci/Nx_SM/_sprints/taskboard/Frontend%20Artists/Nx_SM/PIs/PI.08/Spr%20021?workitem=178491))
- Core: show notification banner service offer method to hide banners ([188217](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/188217))
- Core: add data-test attribute to sidebar nav items ([160419](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/160419))
- Auth: loginRequired observable should emit on LoginRequired validation result from OAuthOIDCClient ([188815](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/188815))
- Web Core: Extend chip input to create a chip on blur event ([182400](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/182400))

### Bug Fixes

- Auth: Permission observable did not emit new value when roles changed. ([187216](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/187216))
- Core: show notification banner dismiss button also if no buttons are defined ([188217](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/188217))
- Core: make show notification banner return bannerId instead of returning observable for all banners ([135638](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/135638))
- MasterDetailView: Apply detail view width before opening the detail view to prevent an unsightly
  jump. ([181537](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/181537))
- Core: fix peer dependencies for auth's @angular/flex-layout and core's and pinboard's @bci-web-core/material-theme ([189013](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/189013))
- Web-Core Notification Banner Service does not show buttons ([190884](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/190884))

## 12.0.0

### Version updates

- Angular to 12.x
- Angular Material to 12.x
- @nrwl/\* to 12.x

## Breaking changes

- Commandbar: Fix search emitter on first load. ([174251](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/174251))

  This breaking change changes the behaviour of Commandbar search input. Currently the search emitter emits even on first load without an inital searchTerm set. This commit changes the behaviour to only emit intially, when value is defined and length greater than zero.

## 11.7.0

### Feature

- Auth: make popup login work in Firefox when external identity provider is involved (fails to close popup though...) ([174767](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/174767))
- Auth: inform user in popup that popup can be closed if automatic closing failed ([174767](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/174767))
- Auth: provides authorization by reading MACMA ACL ([176360](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/176360/))
- Page content and header paddings update based on view port ([125319](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/125319))
- Core: limit dialog height to 95vh by default to avoid vertical viewport overflow ([176678](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/176678))

### Bug Fixes

- Fix header height media query to be mobile first ([177072](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/177072))
- Fix Pinboard view change (desktop to mobile) - keep correct order of elements ([151059](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/151059))
- Maps: Fix updating boundaries removes geocoordinate and vice versa ([179166](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/179166))

## 11.6.0

### Feature

- Commandbar: tooltip attribute for command bar's add button ([173975](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/173975))
- Pinboard: Added data-test attribute for UI interactive elements. ([171660](https://dev.azure.com/bosch-bci/Nx_Foundation/_sprints/taskboard/Portalists/Nx_Foundation/_Teams/Portal/%5B52%5D%20Apr-May%20PI7.3?workitem=171660))

### Bug Fixes

- Pinboard: Missing style reset on dashboard switch ([172683](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/172683))

## 11.5.0

### Feature

- Auth: Optimized autologin in MACMA's module, now checking session before triggering login. ([172843](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/172843))

### Bug Fixes

- Picklist: Reset picklist selection state after adding elements to target list ([154827](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/154827)).

## 11.4.0

### Feature

- Wizard / Stepper: Add directive to make styling of Web Core material theme work automatically for Angular's horizontal stepper ([167347](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/167347))
- Commandbar: add data-test attribute to commandbar search input and button
- Alert: add data-test attributes title and description
- Notification banner: Enable display of banner in web core ([142467](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/142467)
- Auth: Fallback to redirect login flow when popup is blocked in iframe (sandbox attribute without allow-popups) ([170020](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/170020))
- Pinboard: Add datasource to select-box ([169950](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/169950))

### Bug Fixes

- Auth: Fix silent renew of OIDC tokens. ([168035](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/168035)). You are now able to use refresh tokens to renew OIDC tokens without the additional scope `offline_access`.
- Auth: Fix accesscontrol auth header request - now supports special characters inside username and password
- Menu / Breadcrumb: Fix media query to avoid overlapping menu burger icon with breadcrumb on small screens ([169761](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/168035))

## 11.3.1

### Bug Fixes

- Commandbar: Remove commandbar-button expand class to fix alignment ([164723](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/164723))
- Commandbar: Add right-padding for commandbar when add button is not present ([164723](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/164723))
- Breadcrumb: Fix for breadcrumb arrows ([164775](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/164775))

## 11.3.0

### Features

- Upgrade library versions e.g. angular to 11.1.x
- Auth: Added optional configuration option `addAuthHeader` to control whether authorization header should be added or not. ([162239](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/162239))
- Commandbar button labels: can be disabled, fixed for disabled buttons
- Core: added column selector component ([153583](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/153583))

### Others

- Auth: Removed unimplemented configuration option `whitelistedDomains`. Use `addAuthHeader` instead. ([162239](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/162239))

### Bug Fixes

- Pinboard: Portal - My Map Dashboards: User is shown the message 'widget not configured yet' even when configuration is done for Technical availability widget, user has to select facility OR date and save data to see configuration and data. ([156678](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/156678))

## 11.2.0

### Features

- commandbar: add data-test attribute to commandbar add button
- tile: add data-test attributes to buttons and description

### Bug Fixes

- Maps: Increase hit tolerance for location selection interactions

## 11.1.0

### Features

- Core: Add Overlay menu to PLUS-Button ([156407](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/156407))
- Auth: Extended resourceSetName from IAuthModuleConfig to support observables ([159496](https://dev.azure.com/bosch-bci/Nx_SM/_workitems/edit/159496))

## 11.0.0

### Version updates

- Angular to 11.x
- Angular Material to 11.x
- @nrwl/\* to 11.x

### Features

- commandbar: add dataTest input to CommandbarButton to enable testing with test-frameworks
- picklist: add data-test attributes to action buttons (add/remove selection, add/remove all)
- alert dialog: add data-test attributes to buttons
- modal window: add data-test attributes to buttons
- sidebar: add data-test attributes to toggle button / burger icon

## 10.1.0

### Features

- Web Core: Show/hide the item count ([155927](https://dev.azure.com/bosch-bci/Nx_SM/_workitems/edit/155927))
- Change board of management in imprint

## 10.0.1

### Version updates

### Breaking Changes

### Bug Fixes

- Pinboard: styling fix for "Portal Dashboard filters should be disabled with widget settings are open" ([150208](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/150208))
- Auth: mismatching redirect urls with query parameter in /auth and /token requests if not using popup ([158670](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/158670))

### Other

- Core-Demo: Added a demo for the tree web component ([155097](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/155097))

## 10.0.0

### Version updates

- Angular to 10.x
- Angular Material to 10.x
- Typescript to 4.0.x
- @nrwl/\* to 10.x
- rxjs to 6.6.x

### Breaking Changes

- Updated typescript BOSCH_COLORS definitions and removed deprecated colors (map BoschXyz50 => BoschXyzW50, BoschGreen => BoschLightGreen, BoschSignalOrange is not an official Bosch color) ([149068](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/149068))

### Bug Fixes

- Pinboard: Resolve several javascript errors ([154494](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/154494))

### Features

- Pinboard: Portal Dashboard filters should be disabled with widget settings are open ([150208](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/150208))
- Pinboard: Map Dashboard padding and widgets too big ([150917](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/150917))
- Core: Set minimum width to web core notification window ([153445](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/153445))

### Other

- Core-Demo: added guide for using web components to demo ([154092](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/154092))

## 10.0.0-beta.0

### Version updates

- Angular to 10.x
- Angular Material to 10.x
- Typescript to 4.0.x
- @nrwl/\* to 10.x
- rxjs to 6.6.x

### Other

- Core-Demo: added guide for using web components to demo ([154092](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/154092))
- Updated typescript BOSCH_COLORS definitions and removed deprecated colors (map BoschXyz50 => BoschXyzW50, BoschGreen => BoschLightGreen, BoschSignalOrange is not an official Bosch color) ([149068](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/149068))

## 9.4.0

### Bug Fixes

- Pinboard: Fixes for "respond to filter" ([149851](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/149851))
- Pinboard: Widget catalog grid columns widths are not uniform in responsive mode. ([137647](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/137647))
- Pinboard: User is able to navigate to the Setting page and perform changes without the confirmation dialog 'Save Changes?' ([146662](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/146662))

### Features

- Pinboard: UI: Improve Angular app start-up performance ([150156](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/150156))

## 9.3.0

### Features

- Charts: Added helper service and component for basic chartjs styling (line & bar charts) ([149902](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/149902))

### Bug Fixes

- Active small screen commandbar search field layout not returning to regular layout when increasing commandbar with ([135529](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/135529))
- Commandbar menu button (3 dots) not appearing when commandbar's parent is displayed inline ([135529](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/135529))
- Maps: Jest unit testing console error([149877]https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/149877)
- Charts: Gauge chart properly supports undefined current value ([149681](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/149681))
- Pinboard: Fixes for "respond to filter" ([149851](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/149851))

## 9.2.0

New web-core library available: @bci-web-core/charts

### Features

- Core: Alert dialog description optional ([149206](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/149206))
- Charts: Add gauge chart ([149252](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/149252))

### Bug Fixes

- Auth: Bundle missing assets for use as described in Readme. ([147106](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/147106))
- Auth: Distinguish between login.html for login callback in popup and renew.html for silent renew to avoid duplicate code for token exchange attempts ([147106](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/147106))
- Auth: Clear state when switching tenant/realm ([147106](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/147106))
- Auth: Fix underlying lib's state initialization upon page refresh while logged in ([147106](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/147106))
- Core: Commandbar add button focus overlay overflows to the right ([149205](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/149205))
- Maps: Enable setting the map tile server from outside ([149481]https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/149481)
- Pinboard: Removed flex styles from filter bar ([143778](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/143778))

## 9.1.0

### Features

- Core: add ability to use SVG-Icons in sidebar-nav-item
- Auth: Upgraded the OIDC library in the MACMA Auth module to stabilize authentication flows ([147106](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/147106))
- Auth: Added observable `loginRequired$` to MACMA Auth service to react on login required state
- Auth: Added option `autoLogin` to MACMA Auth module to enable automatic login during application bootstrapping

### Other

- Auth: Extended documentation for MACMA Auth module in Auth module's Readme ([147106](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/147106))

## 9.0.0

Please see the breaking changes in 9.0.0-beta.0 to adjust your app accordingly.

### Features

- Maps: Map-Dashboard: front-end: add map interaction ([142524](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/142524))
- Core: Add support of Bosch breakpoints for all flex layout directives ([144329](https://dev.azure.com/bosch-bci/CoreDev/_boards/board/t/Web%20Core%20Team/Backlog%20items))

### Other

- Core-Demo: Improve DateTimePicker Demo to react on changes in the DateTimePicker

## 9.0.0-beta.0

### Version Updates

- Openlayers from 5.x to 6.x
- Angular from 8.x to 9.x
- Angular Material from 8.x to 9.x
- angular-gridster2 from 8.x to 9.x

### Breaking changes

- Core: Closing callouts does not work. ([142514](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/142514))
  - Previously the `bci-callout` `isClosable` input defaulted to `true` which implied that the user needs to have the `closeClicked` output given a handler to process closing the callout. This was nowhere specifically explained or documented and if no handler was given you could not close the callout. Thus the `bci-callout` `isClosable` now defaults to `false`, meaning that only the user specifically sets it to `true` will they need to pass in a handler for `closeClicked`.
  - Before:
    ```
    <bci-callout type="info" content="This is an info" [isClosable]="false"></bci-callout>
    ```
  - After:
    ```
      <bci-callout type="info" content="This is an info"></bci-callout>
    ```

### Bug Fixes

- Pinboard: Deep linking of the pinboard filter is working correctly ([144713](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/144713))

## 8.11.0

### Features

- Pinboard: Add dashboard types (dashboard / Map dashboard). ([142523](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/142523/))
- Core: Implement chip input component (v1) ([144496](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/144496))

### Bug Fixes

- Pinboard: Widget Settings not saved if isLinkedToFilter is not available ([142494](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/142494))

## Web Core 8.10.1

### Bug Fixes

- Pinboard: Adjusted readonly demo and extended model for shared pinboards ([130858](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/130858))

## Web Core 8.10.0

### Features

- Pinboard: Allow readonly mode for pinboard and pinboard grid ([130858](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/130858))

### Bug Fixes

- Pinboard: Iframe widget: Displays incorrect content on refresh ([140037](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/140037))

## Web Core 8.9.1

### Bug Fixes

- Core: MasterDetail: Slideovermode not working anymore ([139506](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/139506))

### Other

- Core-Demo: MasterDetail: Add demo for slideover-mode ([139509](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/139509))

## Web Core 8.9.0

### Features

- Core: Extend callout to support content projection ([137685](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/137685))
- Core: Chips: change height in commandbar to 40px ([138569](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/138569)

### Bug Fixes

- Core: Commandbar: Wrong size of add-button ([138387](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/138387))
- Core: Commandbar: position of badge on more-icon wrong
- Core: Commandbar: in mobile view the search-icon hover state is correctly implemented
- Core: Commandbar: searchfield position in mobile view not correct
- Core: Sidebar Navigation: Position of expand-icon wrong ([138359](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/138359))
- Core-Demo: use mat-checkbox in commandbar-complex filter

## Web Core 8.8.0

### Bug Fixes

- Fixed commandbar mat-suffix / prefix paddings ([127596](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/127596/)). Hint: Use @bci-web-core/material-theme v8.4.5 or higher

### Features

- Pinboard: Widgets can be (un)-linked to dashboard filter ([134961](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/134961))

## Web Core 8.7.0

First release with all Web Core Angular components.

Contains following components:

- Maps
- Auth
- Pinboard
- Core

### Bug Fixes

- Pinboard: Show error message for required field (widget title)([132949](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/132949))
- Core: Labels of the command bar's overflow menu items don't show an ellipsis ([130812](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/130812))
- Core: Picklist: Wrong selection behavior when picklist source changes ([127280](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/127280))

### Features

- Update web-component version
- Core: Dashboard content fullscreen implementation ([130617](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/130617))
- Core: Trigger sidebar on portal mode with an event ([129531](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/129531))
- Core: Add Empty-State for tables ([106186](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/106186))
- Pinboard: Widgets can be (un)-linked to dashboard filter ([134961](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/134961))

# Old Releases

## Core 8.6.0

### Features

- Set menu scrollbar styles globally in common styles ([123655](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/123655))
- Update picklist, material list and selection list styles ([126539](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/126539))
- Update web core demo ap ([126875](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/126875))
- Allow programmatic disabling of 'Save' button in web core alert popup component ([127674](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/127674))

### Bug Fixes

- Search Icon is not aligned with search box ([124572](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/124572))

## Core 8.5.0

### Features

- Use common style for badges ([118611](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/118611))
- Demo: Add web-component paginator to table demo ([125696](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/125696))
- Demo: Add web-component responsive table card to table demo ([125696](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/125696))
- Commandbar: Add badge on more icon in responsive mode ([121622](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/121622))
- Core: Add pipe to show placeholder for empty/missing values ([124537](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/124537))

### Bug Fixes

- Commandbar: Resizing issues fixed ([124857](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/124857))
- Commandbar: Commandbar: vertical alignment dropdown filter ([121619](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/121619))

### Maintenance

- migrated e2e-tests to cypress ([125138](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/125138))
- Include web-components into demo app ([125505](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/125505))

## Core 8.4.0

### Features

- Core: Add directive for horizontal striped tables ([99149](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/99149))

### Bug Fixes

- Commandbar: takeUntil doesn't end observables ([123340](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/123340))

## Core 8.3.0

### Features

- Core: Implement Activity Indicator Directive ([105182](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/105182))

## Core 8.2.1

### Features

- Commandbar: Add Input for pre-populating search field ([105664](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/105664))

### Bug Fixes

- Core: Commandbar: Only trigger resize on parent container
- Core: Commandbar: Fix filter dialog spacing and select
- Core: Convert to new icon-names ([118607](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/118607))
- Core: Skip null check for non-nullable data source ([118986](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/118986))

## Core 8.2.0

### Bug Fixes

- Commandbar: Commandbar: remove thousands delimiter ([116959](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/116959))
- Core: restyle Inputs according to styleguide ([116685](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/116685))
- Increase z-index of Loading animation to cover mat-dialogs ([105770](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/105770))
- Style-alignment of components with style guide ([100558](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/100558))

### Features

- Core: Loader service should block keyboard interactions ([100512](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/100512))
- Core: BciSharedIntl is not exported ([113541](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/113541))
- Core: Loading dialog ([101499](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/101499))

## Core 8.1.1

### Bug fixes

- CommandBar: Update search input field design ([116684](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/116684))

## Core 8.1.0

### Features

- Add demo for sidenav item overlay ([91880](https://dev.azure.com/bosch-bci/_apis/wit/workItems/91880))
- Notification service: check for portal global object and throw window event ([105658](https://dev.azure.com/bosch-bci/_apis/wit/workItems/105658))
- LoggerService: Improve LoggerService to have LogLevels ([52885](https://dev.azure.com/bosch-bci/_apis/wit/workItems/52885))

### Bug Fixes

- Product Info: Add padding in not expanded state ([105781](https://dev.azure.com/bosch-bci/_apis/wit/workItems/105781))
- Picklist: elements should show up when assigned asynchronously ([105797](https://dev.azure.com/bosch-bci/_apis/wit/workItems/105797))
- Core: Loader service should block keyboard interactions ([100512](https://dev.azure.com/bosch-bci/_apis/wit/workItems/100512))
- Core: Increase z-index of Loading animation to cover mat-dialogs ([105770](https://dev.azure.com/bosch-bci/_apis/wit/workItems/105770))
- Master Detail: Add slider to change size of master/detail views ([68539](https://dev.azure.com/bosch-bci/_apis/wit/workItems/68539))
- Fullscreen Directive: Fix fullscreen function for Firefox version 60
- CommandBar: Format command bar counter as number ([106162](https://dev.azure.com/bosch-bci/_apis/wit/workItems/106162))

## Core 8.0.0

### Features

- Core: Upgrade to **Angular 8** ([95613](https://dev.azure.com/bosch-bci/_apis/wit/workItems/95613))
- Sidenav: enable state saving option for sidenav submenus ([99150](https://dev.azure.com/bosch-bci/_apis/wit/workItems/99150))
- Column browser component ([102747](https://dev.azure.com/bosch-bci/_apis/wit/workItems/102747))

### Bug fixes

- Fix flex-layout dependent tests ([97750](https://dev.azure.com/bosch-bci/_apis/wit/workItems/97750))
- Core Demo: set rel attribute of links with target blank attribute ([82586](https://dev.azure.com/bosch-bci/_apis/wit/workItems/82586))
- Core: flex-layout doesn't use BCI-specific breakpoints ([86146](https://dev.azure.com/bosch-bci/_apis/wit/workItems/86146))
- Sidenav: 2nd level closes when clicking on other navigation element ([99147](https://dev.azure.com/bosch-bci/_apis/wit/workItems/99147))
- FlexLayout breakpoints: ngClass.mobile etc. missing ([104267](https://dev.azure.com/bosch-bci/_apis/wit/workItems/104267))
- Change lazy loaded module routes to use module imports ([97406](https://dev.azure.com/bosch-bci/_apis/wit/workItems/97406))
- Replace all hide directives with new breakpoints ([104904](https://dev.azure.com/bosch-bci/_apis/wit/workItems/104904))
- Fix e2e tests ([102952](https://dev.azure.com/bosch-bci/_apis/wit/workItems/102952))

### Breaking changes

- Flex-Layout: Default Flex-Layout breakpoints will not be applied anymore. Change the used direktive for fxHide and fxShow to: fxShow.mobile, fxShow.tablet, fxShow.desktop, fxHide.mobile, fxHide.tablet or fxHide.desktop.
- Commandbar: Hide attribute for bci-commandbar-button does not support default Flex-Layout breakpoints anymore. Supported values are mobile, tablet and desktop. You can also use combinations e.g. [hide]="['mobile', 'tablet']".
- Commandbar: Hide attribute is marked as deprecated. In a future release the commandbar items will behave responsive on the available space without hide attribute.

## Core 7.1.0

### Features

- Sidenav: enable custom icon font per icon ([96397](https://dev.azure.com/bosch-bci/_apis/wit/workItems/96397))
- Imprint: replace Dr. Stefan Assmann with Sven Hamann ([95832](https://dev.azure.com/bosch-bci/_apis/wit/workItems/95832))
- Core: update demo home component to current Web Core website ([97703](https://dev.azure.com/bosch-bci/_apis/wit/workItems/97703))
- MPC: add link to report in the messages list ([97156](https://dev.azure.com/bosch-bci/_apis/wit/workItems/97156))
- Core: i18n functionality ([63617](https://dev.azure.com/bosch-bci/_apis/wit/workItems/63617))
- Core: Fullscreen directive ([88045](https://dev.azure.com/bosch-bci/_apis/wit/workItems/88045))
- Demo: Icon usage like colors ([99967](https://dev.azure.com/bosch-bci/_apis/wit/workItems/99967))
- Generic Modal Component ([52878](https://dev.azure.com/bosch-bci/_apis/wit/workItems/52878))
- Demo: Restructure and Redesign Demo Application ([86925](https://dev.azure.com/bosch-bci/_apis/wit/workItems/86925))
- Core: Loading state for tables ([68481](https://dev.azure.com/bosch-bci/_apis/wit/workItems/68481))
- Core: Text skeleton loading ([97031](https://dev.azure.com/bosch-bci/_apis/wit/workItems/97031))

### Bug fixes

- Sidenav: navigation has a horizontal scrollbar on a mobile view ([97189](https://dev.azure.com/bosch-bci/_apis/wit/workItems/97189))
- Sidenav: 3-level menu: clicks on 2nd level opens page even when it has subitems ([97075](https://dev.azure.com/bosch-bci/_apis/wit/workItems/97075))
- Master Detail: Close-detail guard has wrong import of router ([99281](https://dev.azure.com/bosch-bci/_apis/wit/workItems/99281))
- Tile: Fix bci-tile styling issues ([100242](https://dev.azure.com/bosch-bci/_apis/wit/workItems/100242))
- Sidenav: Navbar should hide after click on item on smartphones ([85705](https://dev.azure.com/bosch-bci/_apis/wit/workItems/85705))
- Sidenav: mobile: doesn't close when tapping on background ([85718](https://dev.azure.com/bosch-bci/_apis/wit/workItems/85718))
- MasterDetailView: Accessing method on undefined when using dialog ([100533](https://dev.azure.com/bosch-bci/_apis/wit/workItems/100533))
- Breadcrumbs: fix temporary titles for partial root routes ([102561](https://dev.azure.com/bosch-bci/_apis/wit/workItems/102561))

## Core 7.0.2

### Bug fixes

- Sidenav: 3rd level menu not opening when landing on a page ([95698](https://dev.azure.com/bosch-bci/_apis/wit/workItems/95698))
- Sidenav: submenu closes when selecting 3rd level item ([95697](https://dev.azure.com/bosch-bci/_apis/wit/workItems/95697))
- Sidenav: 3rd level menu doesn't close when clicking on back if a subitem is active ([96400](https://dev.azure.com/bosch-bci/_apis/wit/workItems/96400))
- Sidenav: closed state: click on icon doesn't open 3rd level menu ([96401](https://dev.azure.com/bosch-bci/_apis/wit/workItems/96401))
- Sidenav: when closing sidenav with 3rd level open, scrollbar appears ([96402](https://dev.azure.com/bosch-bci/_apis/wit/workItems/96402))

## Core 7.0.1

### Bug fixes

- Updated peer dependencies

## Core 7.0.0

### Features

- Upgraded to **Angular 7**
- Added product info component to display introductional text about a page or application
- Always float labels ([75427](https://dev.azure.com/bosch-bci/_apis/wit/workItems/75427))
- Picklist: Replace ngx-drag-drop with CDK ([90135](https://dev.azure.com/bosch-bci/_apis/wit/workItems/90135))
- Picklist: Improve drag preview ([90136](https://dev.azure.com/bosch-bci/_apis/wit/workItems/90136))
- Picklist: Improve drop image in copy mode ([90138](https://dev.azure.com/bosch-bci/_apis/wit/workItems/90138))

## Breaking changes

- Mat form fields should not use `floatLabel` attribute. Labels are set to be always shown on top by default.
- Notification component removed
- Notification service: `getMessage()` method and notification subject removed. Use `getSessionNotifications()` to receive all notifications triggered in the browser's session.
- NotFound component removed

## Core 6.8.3

### Bug fixes

- Sidenav: 3rd level menu not opening when landing on a page ([95698](https://dev.azure.com/bosch-bci/_apis/wit/workItems/95698))
- Sidenav: submenu closes when selecting 3rd level item ([95697](https://dev.azure.com/bosch-bci/_apis/wit/workItems/95697))

## Core 6.8.2

Deprecated

## Core 6.8.1

### Bug fixes

- Core: Master-Detail esc-Button handling ([91891](https://dev.azure.com/bosch-bci/_apis/wit/workItems/91891))
- Core: Styling of disabled commandbar actions in "more actions" menu ([95295](https://dev.azure.com/bosch-bci/_apis/wit/workItems/95295))

## Core 6.8.0

### Features

- Core: Separate core module's component definition from core module initialization as preparation for web components ([93967](https://dev.azure.com/bosch-bci/_apis/wit/workItems/93967))

## Core 6.7.0

### Features

- Core: Sidebar: implement new 3rd level styles ([83981](https://dev.azure.com/bosch-bci/_apis/wit/workItems/83981))
- Core: Create a call out component ([88239](https://dev.azure.com/bosch-bci/_apis/wit/workItems/88239))
- Core: Reactive Configuration Service ([91402](https://dev.azure.com/bosch-bci/_apis/wit/workItems/91402))
- Core: Reusable Navigation Sidebar Overlay ([91687](https://dev.azure.com/bosch-bci/_apis/wit/workItems/91687))

### Bug fixes

- Sidebar drop-down doesn't open when directly navigating to sub-item by URL ([63911](https://dev.azure.com/bosch-bci/_apis/wit/workItems/63911))
- Logout overlay - close button not positioned correctly ([68237](https://dev.azure.com/bosch-bci/_apis/wit/workItems/68237))

## Core 6.6.0

### Features

- Core: add BIOSL5-EDF license ([90661](https://dev.azure.com/bosch-bci/_apis/wit/workItems/90661))

## Core 6.5.0

### Features

- Recent notification dialog ([75170](https://dev.azure.com/bosch-bci/_apis/wit/workItems/75170))
- Sidenav: enable badges on icons ([81519](https://dev.azure.com/bosch-bci/_apis/wit/workItems/81519))
- Core: Support predefined breakpoints for different orientations ([84835](https://dev.azure.com/bosch-bci/_apis/wit/workItems/84835))

### Bug fixes

- Core: Sidebar expand icon mixed up ([86651](https://dev.azure.com/bosch-bci/_apis/wit/workItems/86651))

## Core 6.4.1

### Bug fixes

- Core: Picklist not respecting max-height ([80169](https://dev.azure.com/bosch-bci/_apis/wit/workItems/80169))
- Navigation Sidebar: compact mode UI glitches when no icon set ([85858](https://dev.azure.com/bosch-bci/_apis/wit/workItems/85858))
- Core: Picklist filter not working with special characters ([86614](https://dev.azure.com/bosch-bci/_apis/wit/workItems/86614))
- Core: Update copyright notice in source files (BIOS preparation) ([86619](https://dev.azure.com/bosch-bci/_apis/wit/workItems/86619))
- Commandbar not exporting actions component ([87260](https://dev.azure.com/bosch-bci/_apis/wit/workItems/87260))
- Picklist: Prevent the picklist's buttons to submit a form ([87317](https://dev.azure.com/bosch-bci/_apis/wit/workItems/87317))
- Picklist: Fix filter input for small component width ([87318](https://dev.azure.com/bosch-bci/_apis/wit/workItems/87318))

## Core 6.4.0

### Notes

- **Master Detail** troubleshooting information add to master-detail demo overview page concerning dynamic details width / angular material sidenav autosize issue.

### Bug Fixes

- **Navigation Sidebar** should be disabled via `SidebarService.sidebarVisibility` independent of mobile mode.

### Features

- **Navigation Sidebar**
  - Updated style.
  - Current date and time can optionally be shown in the sidebar's footer, but is not shown by default.

### Bug Fixes

- **Logout Popover** styling has been fixed (outline) and refined (arrow size).

## Core 6.3.1

- Fix 'Core: build breaks in breakpoint.ts' ([84095](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems?id=84095&_a=edit))
- Fix missing Bosch assets

## Core 6.3.0

### Notes

- BCI Web Core Common Style's assets have been added to the demo's project assets in `angular.json` to replace `copy:assets` script in `package.json`. You can remove the `copy:assets` script there.

### Features

- **Command Bar search field** responsively minimizes.
- **Command Bar style** updated to match current styleguide:
  - Improved balance of white space and content.
  - Action labels, optional for actions that are directly visible in command bar.
  - Fixed issue concerning lt-xl not working properly by upgrading angular-flex.
  - Item count labels are now configurable.
  - Extended demo page.
- **Sidebar for filtering and sorting** on mobile devices as alternative to a dialog.
- **Navigation Sidebar** responds to screen size and minimizes automatically, including complete hiding on mobile devices.
- **Icon Buttons** are now styled properly in latest material theme (extracted from command-bar styles).
- **Breakpoint / Media Queries** constants for Bosch Breakpoints and a CSS media query builder to be used with Angular CDK's `BreakpointObserver`.

### Bug Fixes

- **Navigation Sidebar** now keeps icons of navigation entries visible when minimized.

## Core 6.2.0

### Features

- **Notifications** updated to the current style guide requirements ([52877](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/52877))
- **Alerts**: standard dialogs for alerts/warnings/confirmations ([52874](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/52874))
- Tooltip default values set ([78882](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems/edit/78882))

### Bug Fixes

- Sorted navigation in demo app alphabetically in sub folders
- Correct dialog backdrop color and blur ([72718](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/72718))
- Single responsively hidden command bar inline-filter has not been hidden.
- Picklist changing order of elements inconsitent and not working properly ([78824](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems/edit/78824))

## Core 6.1.0

### Features

- **New package name @bci-web-core/core** ([more information](https://inside-docupedia.bosch.com/confluence/x/mpOIIw)) ([78179](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems/edit/78179))
- **Picklist component** (drag-drop support will come later) ([68687](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems?id=68687&_a=edit&triage=false))
- **Application title** can now have two lines ([70177](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems/edit/70177))

### Fixes

- Properly resize master-detail content upon reactive switch from 'over' to 'side' sidebar mode ([74226](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems/edit/74226))
- Details-Closed Flag not set if not subscribing to closeDetails-Observable ([77894](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems/edit/77894))
- React to changes of content area size (sidebars for navigation or master detail) ([71596](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems/edit/71596))

## Core 6.0.1

### Fixes

- Bug 74918: add optional parameter for MatDialog in ModalWindowService#openDialogWithComponent

## Core 6.0.0

### Features

- Angular 6
- Angular Material Theme v6
- Core Configuration not mandatory (see breaking change)
- Blur effect for modals

### Breaking changes

See 6.0.0-beta.3

### Fixes

- Consider base href when routing from sidenav

## Core 6.0.0-beta.3

### Features

- Update to Angular 6

### Breaking changes

- **ModalWindowService:** new signature of openModalWindowService(): \
  `openDialogWithComponent<T, D = any, R = any>(componentOrTemplateRef: ComponentType<T> | TemplateRef<T>, config?: MatDialogConfig<D>): MatDialogRef<T, R>` \
  `T` is component type, `D` is the config type and `R` is the expected result type when the dialog is closed. \
  The function now returns `MatDialogRef` that you can use to close the dialog or subscribe to the `afterClosed` observable.
- **BeforeCloseDetails** interface was removed. Use `DetailsComponent` interface instead (Master/Detail components).
- **Core configuration** via file is not mandatory anymore. Before you had to provide dev.json and prod.json files in `/assets/config`. Now you can provide `CoreConfig` either by defining a URL or by providing the `CORE_CONFIG` token. You cannot define both. The configuration in `providers` would win over the `core_config_url` one (no merge happening).
  - `BciCoreModule.forRoot({ prod_environment: environment.production, core_config_url: '/assets/config/dev.json' })`
  - Alternatively in providers:

```
providers: [{
             provide: CORE_CONFIG,
             useValue: { endpointNavigation: '/navigation/endpoint', environment: environment.production ? 'prod' : 'dev'}
           }],

```

- **Navigation service** doesn't use default endpoint `/api/navigation` anymore if no endpoint was defined in config file.
- Deprecated **colors** were removed.

## Core 5.7.3

### Fixes

- Redirect component has vulnerability ([72406](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/72406))

## Core 5.7.2

### Fixes

- Breadcrumbs shouldn't use navigation service ([71572](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems/edit/71572))

## Core 5.7.1

### Fixes

- Padding in master/detail demos missing
- Background color of application should be white
- Page heading margin too large
- Button toggle demos removed (WIP)

## Core 5.7.0

### Features

- **Breadcrumbs** in the header ([52870](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems/edit/52870)) ([Demo](https://atmo1opcondemo.de.bosch.com/WebCore/demos/bci-ng-core/customComponents/commandbar)) Check out the [demo source code]() on how to use them.
- Demo for **Material components** ([66191](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems/edit/66191)) ([Demo](https://atmo1opcondemo.de.bosch.com/WebCore/demos/bci-ng-core/material-demo/overview))
- **Source code** of library and demo application [available online](https://atmo1opcondemo.de.bosch.com/WebCore/)

### Bug fixes

- Improvements to the demo app ([71150](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems/edit/71150))

## Core 5.6.1

### Fixes

- Doc generation exports source code of both app and lib to provide transparent documentation ([71150](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems/edit/71150))

## Core 5.6.0

### Features

- **Page content component** for correctly padded components that take full content space ([68800](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems/edit/68800))
- Demo app improved and cleaned
- Added puppeteer to karma configuration for builds on Linux systems

### Bug fixes

- Master Detail Paddings not working and API misleading ([70953](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems?id=70953&_a=edit))
- SidebarNavItem cb deprecated but needed ([70220](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems?id=70220&_a=edit))

## Core 5.5.0

### Features

Checkout the demos for code examples

- **Inline filters** in command bar ([68450](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/68450)) ([Demo](https://atmo1opcondemo.de.bosch.com/WebCore/demos/bci-ng-core/customComponents/commandbar))
- **<bci-app> component** for simplified app.component.html setup ([63908](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/63908))

### Bug fixes

- MasterDetail Demo sidebar closes and opens on change of selection ([70047](https://dev.azure.com/bosch-bci/CoreDev/_workitems?id=70047&_a=edit))
- SidebarNavItem cb deprecated but needed ([70220](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems?id=70220&_a=edit))

## Core 5.4.0

### Features

Checkout the demos for code examples

- **Filter dialog** for commandbar (or other use cases) ([#68691](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/68691)) ([Demo](https://atmo1opcondemo.de.bosch.com/WebCore/demos/bci-ng-core/customComponents/commandbar) - click on the filter button)
- **Commandbar** search field can be disabled by `[showSearch]=false`

## Core 5.3.0

### Features

Checkout the demos for code examples

- **Master Detail pattern** ([#62775](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems?id=62775&_a=edit))
- **Commandbar** for tables, tiles, lists ([#62776](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems/edit/62776))

### Bug fixes

- Imprint: Bosch logo occasionally doesn't appear ([#65499](https://dev.azure.com/bosch-bci/CoreDev/Web%20Core%20Team/_workitems/edit/65499))

### Notes

- Commandbar inline filters not yet implemented and will ship with future versions
- Commandbar responsiveness not yet designed in interaction style guide. As soon as it is available, implementation follows

## Maps 8.1.1

### Bug fixes

- Exposed interaction directive in order to use it in web components toolbar

## Maps 8.1.0

### Features

- Add support for web-components.
- Add toolbar component ([122620](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/122620))
- Updated openlayers button styles ([128907](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/128907))

## Maps 8.0.1

### Bug Fixes

- Fix: Cannot find module 'openlayers' ([106073](https://dev.azure.com/bosch-bci/_apis/wit/workItems/106073))

## Maps 8.0.0

### Features

- Upgraded to **Angular 8**
- Maps: Load Bosch fonts from Common-Styles library; Remove assets/fonts folder.

### Bug fixes

- Fix for hammer.js console warnings - import hammer.js in app main module file

## Maps 6.0.3

### Bug fixes

- Fixed library dependencies.

## Maps 6.0.2

### Bug fixes

- Core: Replace copy:assets with glob in angular.json ([82577](https://dev.azure.com/bosch-bci/_apis/wit/workItems/82577))
- Fix base layer offset with Angular 6 / Openlayers 5.3 ([81794](https://dev.azure.com/bosch-bci/_apis/wit/workItems/81794))
- Maps: Fix toolbar buttons ([82430](https://dev.azure.com/bosch-bci/_apis/wit/workItems/82430))

## Maps 6.0.1

### Bug fixes

- Use Bosch / BCI full screen icon for map.
- Fix base layer opacity in location editor demo.
- Fix projection initialization of map component.

## Maps 6.0.0

## Breaking Changes

- Upgraded to Angular 6
- Changed package name to @bci-web-core/maps

## Maps 5.0.3

### Features

- **Location UI**
  - Add and edit locations.
    - Modify location's boundary and position.
    - Add and remove location's boundary or position.
  - Separation of service functionality for location resources (`LocationService`) and map's state (`LocationMapService`).

### Fixes

- **Location UI**
  - Fix navigation handling when navigating to another page with details opened.
    - Location Map Directive: Unset selection only after details are closed.
    - Demo: Navigation to master is only triggered if details are open when selection changes.

## Maps 5.0.2

### Fixes

- Setting GEOJSON projection directly to 'EPSG:4326' instead of referencing the projections enum.

## Maps 5.0.1

### Fixes

- Fixes in e2e structure and demo app build.

## Maps 5.0.0

### Features

- Checkout the demos for code examples.
- **Basic Map** ([#64895](https://dev.azure.com/bosch-bci/CoreDev/_workitems?id=64895&_a=edit))
  - Based on Openlayers 4.x.
  - Offers anything Openlayers offers like different types of map layers and interactions easy to integrate into Angular applications.
  - Responsive resizing of map.
  - Dark & light theme.
  - Entity to Features Mapping (bidirectional).
  - Elaborated selection handling with deep-linking support and RxJS observables.
  - Projection, layer and styling utils to simplify drawing of features.
  - Support for Openlayer and proj4js projections
    - Hint: Rotation of local omerc coordinate reference systems currently broken in proj4js
- **Basic Map Editor** ([#65753](https://dev.azure.com/bosch-bci/CoreDev/_workitems?id=65753&_a=edit))
  - Add & modify various exemplary shapes.
  - Selection including box-selection.
  - Snapping to existing features while drawing.
  - Experimental CAD-like drawing guides (while pressing ctrl-key).
  - GeoJSON import and export of drawing layer.
  - Toolbar and various configurable and reusable interaction modes.
- **Location UI to show Locations** ([#70412](https://dev.azure.com/bosch-bci/CoreDev/_workitems?id=70412&_a=edit))
  - Location typings.
  - Generic location form.
  - Generic drawing of location boundaries and positions on the map.
  - Showcase for entity-specific styling, selection handling and deep-linking using the master-detail-pattern of @bci/ng-core.

## Auth 8.1.0

### Demo

- fix loading of configuration and use Web Core ConfigurationService for that #125748

### Bug Fixes

- Auth: AccessControl token-refresh is not working after page reload #128410

## Auth 8.0.0

### Features

- Auth: Make use-refresh-token parameter of OIDC library configurable. See #113447

## Auth 8.0.0-beta.3

### Bug Fixes

- AccessControl: QueryParams are lost if AuthGuard redirects to login page. See #110354

## Auth 8.0.0-beta.2

### Features

- accept empty defaultRealm in OIDC config to support AccessControl V3. See: #108156

### Demo

- add AccessControl V3 as another authentication provider demo

## Auth 8.0.0-beta.1

### Features

- add new method AuthorizationService#getResourceSets - returns an Observable with ResourceSets

## Auth 8.0.0-beta.0

### Features

- update to Angular 8

### Bug Fixes

- remove rxjs/internal usage in oauth.service.ts

## Auth 7.0.0-beta.3

### Bug Fixes

- fix non-observable input of auth-Server-url

### Features

- make realm query param configurable for MACMA. Option IMacmaAuthModuleConfig#queryParamRealm defaults to 'tenant'.

## Auth 7.0.0-beta.2

### Bug Fixes

- fix "Function calls are not supported in decorators but 'MacmaAuthModule'" errors

## Auth 7.0.0-beta.1

### Features

- Added MACMA as authentication provider. See README for further details on supported features and usage.

### Changed

- Slightly adapted service's interfaces of existing auth module for Access Control.

## Auth 7.0.0-beta.0

### Changed

- Migrated to Angular 7

## Auth 6.0.0-beta.5

### Features

- Add automatic token refresh. Is disabled by default and can be enabled in configuration.

## Pinboard 8.5.0

### Bug Fixes

- Misplaced search icon in widget catalogue([129178](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/129178))
- Dashboard Widget Settings: Edit and cancel of widget configuration results in empty chip list boxes being displayed.([125435](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/125435)
- Dashboard: Configure Widget (Device Monitoring): Dropdown hides other fields([130098](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/130098))

### Features

- Switch to new loading animation is used in Portal web app([129128](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/129128))
- Migrate pinboard to cypress([125315](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/125315))

## Pinboard 8.4.1

### Bug Fixes

- Wrong styles in widget edit form ([124553](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/124553))
- User Profile/Config UI: Save-Button enabled although no change in dropdowns ([120063](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/120063))

## Pinboard 8.4.0

### Bug Fixes

- Pinboard: Active tab is not highlighted when the second dashboard is create[122958](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/122958))
- Pinboard: Default translation correction ([123344](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/123344))

### Features

- Migrate to jest ([122835](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/122835))

## Pinboard 8.3.0

### Bug Fixes

- Dashboard: buttons not reachable in widget catalogue ([117654](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/117654))
- Wrong styles or empty state in pinboard ([120348](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/120348))
- Initial Dashboard Content not loaded after deleting displayed dashboard ([120789](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/120789))

### Features

- Improve widget catalog styles ([120091](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/120091))
- Make complete widget catalog items clickable ([120089](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/120089))
- Improve UI consistency ([118187](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/118187))

## Pinboard 8.2.0

### Bug Fixes

- pinboard: mat-icon-button style broken ([113563](https://dev.azure.com/bosch-bci/_apis/wit/workItems/113563))
- Reponsive dashboard styles ([114978](https://dev.azure.com/bosch-bci/_apis/wit/workItems/114978))
- Widgets settings are saved when clicking on cancel ([117139](https://dev.azure.com/bosch-bci/_apis/wit/workItems/117139))

### Features

- Update material theme and common styles in Portal app ([115399](https://dev.azure.com/bosch-bci/_apis/wit/workItems/115399))
- Update to Web Core 8.2.0

## Pinboard 8.1.0

### Features

- Improve responsive dashboard styles ([114668](https://dev.azure.com/bosch-bci/_apis/wit/workItems/114668))
- UI: Change UI implementation for Functional Dashboard ID ([104426](https://dev.azure.com/bosch-bci/_apis/wit/workItems/104426))
- Implement LowerWidgetCatalogueBorder ([107655](https://dev.azure.com/bosch-bci/_apis/wit/workItems/107655))

### Bug fixes

- Dashboard: "DashboardService is currently offline. Please contact your administrator if this is persistent." message is obtained ([113442](https://dev.azure.com/bosch-bci/_apis/wit/workItems/113442))
- Fix pin board UI issues ([106418](https://dev.azure.com/bosch-bci/_apis/wit/workItems/106418))

## Pinboard 8.0.5

### Bug fixes

- (Improvement) Dashboard : Driver is not moved to newly added dashboard directly ([109169](https://dev.azure.com/bosch-bci/_apis/wit/workItems/109169))
- Widget settings side drawer does not close when the user moves to a new dashboard tab ([109486](https://dev.azure.com/bosch-bci/_apis/wit/workItems/109486))
- Dashboard: new tab is not selected ([110194](https://dev.azure.com/bosch-bci/_apis/wit/workItems/110194))

## Pinboard 8.0.4

### Bug fixes

- Pinboard: Additional Numbers in Widget-Text ([110186](https://dev.azure.com/bosch-bci/_apis/wit/workItems/110186))

## Pinboard 8.0.3

### Bug fixes

- Pinboard: Menu button must not trigger drag/drop ([97029](https://dev.azure.com/bosch-bci/_apis/wit/workItems/97029))

## Pinboard 8.0.2

### Bug fixes

- Intermittent error on adding multiple widgets at a time to the dashboard ([108523](https://dev.azure.com/bosch-bci/_apis/wit/workItems/108523))
- UI Issues in Dashboard-View ([107803](https://dev.azure.com/bosch-bci/_apis/wit/workItems/107803))
- Widget Contextmenu not translated correctly ([108546](https://dev.azure.com/bosch-bci/_apis/wit/workItems/108546))
- Wrong dashboard scrollbar in responsive mode ([108547](https://dev.azure.com/bosch-bci/_apis/wit/workItems/108547))

## Pinboard 8.0.0

### Features

- Upgrade to Angular 8 ([95616](https://dev.azure.com/bosch-bci/_apis/wit/workItems/95616))
- New Widget Catalogue in dialog ([100135](https://dev.azure.com/bosch-bci/_apis/wit/workItems/100135))
- Style update for dashboard ([100137](https://dev.azure.com/bosch-bci/_apis/wit/workItems/100137))

## Pinboard 6.5.2

### Bug fixes

- Pinboard: UserSetting default values not working ([95954](https://dev.azure.com/bosch-bci/_apis/wit/workItems/95954))

## Pinboard 6.5.0

### Features

- Pinboard: color selector for widget color ([90366](https://dev.azure.com/bosch-bci/_apis/wit/workItems/90366))
- Pinboard: show confirmation dialog before deleting widget ([90367](https://dev.azure.com/bosch-bci/_apis/wit/workItems/90367))

## Pinboard 6.4.0

### Features

- Update Pinboard package to Highcharts 7 and update styles ([89852](https://dev.azure.com/bosch-bci/_apis/wit/workItems/89852))

## Pinboard 6.3.0

### Features

- Pinboard: Replace copy:assets with glob in angular.json ([82581](https://dev.azure.com/bosch-bci/_apis/wit/workItems/82581))
- Pinboard folder widget ([87262](https://dev.azure.com/bosch-bci/_apis/wit/workItems/87262))

### Bug fixes

- Pinboard: Update copyright notice in source files (BIOS preparation) ([87269](https://dev.azure.com/bosch-bci/_apis/wit/workItems/87269))
