/*
 * Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component } from '@angular/core';
import { BOSCH_DDS_COLORS } from '@bci-web-core/core';
import { ScrollIntoViewService } from '../shared/scroll-into-view.service';

@Component({
  selector: 'bci-bosch-color',
  templateUrl: './bosch-color.component.html',
  styleUrls: ['./bosch-color.component.scss'],
})
export class BoschColorComponent {

  constructor(public scrollIntoViewService: ScrollIntoViewService) { }
  
  public masterBrandColors = [
    { name: 'boschRed50', colorCode: BOSCH_DDS_COLORS.boschRed50 },
  ];

  public neutralColors = [
    { name: 'boschWhite', colorCode: BOSCH_DDS_COLORS.boschWhite },
    { name: 'boschBlack', colorCode: BOSCH_DDS_COLORS.boschBlack },
    /**
     * This gray scale should be used for dark UIs. Consider the light gray scale for your web application.
     */
    { name: 'boschGray50', colorCode: BOSCH_DDS_COLORS.boschGray50 },
  ];

  public accentColors = [
    { name: 'boschGreen50', colorCode: BOSCH_DDS_COLORS.boschGreen50 },
    { name: 'boschBlue50', colorCode: BOSCH_DDS_COLORS.boschBlue50 },
    { name: 'boschTurquoise50', colorCode: BOSCH_DDS_COLORS.boschTurquoise50 },
    { name: 'boschPurple40', colorCode: BOSCH_DDS_COLORS.boschPurple40 },
    
  ];

  public functionalColors = [
    { name: 'BoschSignalGreen', colorCode: BOSCH_DDS_COLORS.boschSignalGreen },
    { name: 'BoschSignalYellow', colorCode: BOSCH_DDS_COLORS.boschSignalYellow },
    { name: 'BoschSignalRed', colorCode: BOSCH_DDS_COLORS.boschSignalRed },
    { name: 'boschBlue50', colorCode: BOSCH_DDS_COLORS.boschBlue50 },
  ];
  public yellowShadows = [{ name: 'BoschYellow', colorCode: BOSCH_DDS_COLORS.boschSignalYellow }];

  public shades = [
    {name: "Red", colors: [
      {name: "boschRed95", colorCode: BOSCH_DDS_COLORS.boschRed95},
      {name: "boschRed90", colorCode: BOSCH_DDS_COLORS.boschRed90},
      {name: "boschRed85", colorCode: BOSCH_DDS_COLORS.boschRed85},
      {name: "boschRed80", colorCode: BOSCH_DDS_COLORS.boschRed80},
      {name: "boschRed75", colorCode: BOSCH_DDS_COLORS.boschRed75},
      {name: "boschRed70", colorCode: BOSCH_DDS_COLORS.boschRed70},
      {name: "boschRed65", colorCode: BOSCH_DDS_COLORS.boschRed65},
      {name: "boschRed60", colorCode: BOSCH_DDS_COLORS.boschRed60},
      {name: "boschRed55", colorCode: BOSCH_DDS_COLORS.boschRed55},
      {name: "boschRed50", colorCode: BOSCH_DDS_COLORS.boschRed50},
      {name: "boschRed45", colorCode: BOSCH_DDS_COLORS.boschRed45},
      {name: "boschRed40", colorCode: BOSCH_DDS_COLORS.boschRed40},
      {name: "boschRed35", colorCode: BOSCH_DDS_COLORS.boschRed35},
      {name: "boschRed30", colorCode: BOSCH_DDS_COLORS.boschRed30},
      {name: "boschRed25", colorCode: BOSCH_DDS_COLORS.boschRed25},
      {name: "boschRed20", colorCode: BOSCH_DDS_COLORS.boschRed20},
      {name: "boschRed15", colorCode: BOSCH_DDS_COLORS.boschRed15},
      {name: "boschRed10", colorCode: BOSCH_DDS_COLORS.boschRed10},
      {name: "boschRed05", colorCode: BOSCH_DDS_COLORS.boschRed05},
    ]},
    {name: "Gray", colors: [
      {name: "boschGray95", colorCode: BOSCH_DDS_COLORS.boschGray95},
      {name: "boschGray90", colorCode: BOSCH_DDS_COLORS.boschGray90},
      {name: "boschGray85", colorCode: BOSCH_DDS_COLORS.boschGray85},
      {name: "boschGray80", colorCode: BOSCH_DDS_COLORS.boschGray80},
      {name: "boschGray75", colorCode: BOSCH_DDS_COLORS.boschGray75},
      {name: "boschGray70", colorCode: BOSCH_DDS_COLORS.boschGray70},
      {name: "boschGray65", colorCode: BOSCH_DDS_COLORS.boschGray65},
      {name: "boschGray60", colorCode: BOSCH_DDS_COLORS.boschGray60},
      {name: "boschGray55", colorCode: BOSCH_DDS_COLORS.boschGray55},
      {name: "boschGray50", colorCode: BOSCH_DDS_COLORS.boschGray50},
      {name: "boschGray45", colorCode: BOSCH_DDS_COLORS.boschGray45},
      {name: "boschGray40", colorCode: BOSCH_DDS_COLORS.boschGray40},
      {name: "boschGray35", colorCode: BOSCH_DDS_COLORS.boschGray35},
      {name: "boschGray30", colorCode: BOSCH_DDS_COLORS.boschGray30},
      {name: "boschGray25", colorCode: BOSCH_DDS_COLORS.boschGray25},
      {name: "boschGray20", colorCode: BOSCH_DDS_COLORS.boschGray20},
      {name: "boschGray15", colorCode: BOSCH_DDS_COLORS.boschGray15},
      {name: "boschGray10", colorCode: BOSCH_DDS_COLORS.boschGray10},
      {name: "boschGray05", colorCode: BOSCH_DDS_COLORS.boschGray05},
    ]},
    {name: "Purple", colors: [
      {name: "boschPurple95", colorCode: BOSCH_DDS_COLORS.boschPurple95},
      {name: "boschPurple90", colorCode: BOSCH_DDS_COLORS.boschPurple90},
      {name: "boschPurple85", colorCode: BOSCH_DDS_COLORS.boschPurple85},
      {name: "boschPurple80", colorCode: BOSCH_DDS_COLORS.boschPurple80},
      {name: "boschPurple75", colorCode: BOSCH_DDS_COLORS.boschPurple75},
      {name: "boschPurple70", colorCode: BOSCH_DDS_COLORS.boschPurple70},
      {name: "boschPurple65", colorCode: BOSCH_DDS_COLORS.boschPurple65},
      {name: "boschPurple60", colorCode: BOSCH_DDS_COLORS.boschPurple60},
      {name: "boschPurple55", colorCode: BOSCH_DDS_COLORS.boschPurple55},
      {name: "boschPurple50", colorCode: BOSCH_DDS_COLORS.boschPurple50},
      {name: "boschPurple45", colorCode: BOSCH_DDS_COLORS.boschPurple45},
      {name: "boschPurple40", colorCode: BOSCH_DDS_COLORS.boschPurple40},
      {name: "boschPurple35", colorCode: BOSCH_DDS_COLORS.boschPurple35},
      {name: "boschPurple30", colorCode: BOSCH_DDS_COLORS.boschPurple30},
      {name: "boschPurple25", colorCode: BOSCH_DDS_COLORS.boschPurple25},
      {name: "boschPurple20", colorCode: BOSCH_DDS_COLORS.boschPurple20},
      {name: "boschPurple15", colorCode: BOSCH_DDS_COLORS.boschPurple15},
      {name: "boschPurple10", colorCode: BOSCH_DDS_COLORS.boschPurple10},
      {name: "boschPurple05", colorCode: BOSCH_DDS_COLORS.boschPurple05},
    ]},
    {name: "Blue", colors: [
      {name: "boschBlue95", colorCode: BOSCH_DDS_COLORS.boschBlue95},
      {name: "boschBlue90", colorCode: BOSCH_DDS_COLORS.boschBlue90},
      {name: "boschBlue85", colorCode: BOSCH_DDS_COLORS.boschBlue85},
      {name: "boschBlue80", colorCode: BOSCH_DDS_COLORS.boschBlue80},
      {name: "boschBlue75", colorCode: BOSCH_DDS_COLORS.boschBlue75},
      {name: "boschBlue70", colorCode: BOSCH_DDS_COLORS.boschBlue70},
      {name: "boschBlue65", colorCode: BOSCH_DDS_COLORS.boschBlue65},
      {name: "boschBlue60", colorCode: BOSCH_DDS_COLORS.boschBlue60},
      {name: "boschBlue55", colorCode: BOSCH_DDS_COLORS.boschBlue55},
      {name: "boschBlue50", colorCode: BOSCH_DDS_COLORS.boschBlue50},
      {name: "boschBlue45", colorCode: BOSCH_DDS_COLORS.boschBlue45},
      {name: "boschBlue40", colorCode: BOSCH_DDS_COLORS.boschBlue40},
      {name: "boschBlue35", colorCode: BOSCH_DDS_COLORS.boschBlue35},
      {name: "boschBlue30", colorCode: BOSCH_DDS_COLORS.boschBlue30},
      {name: "boschBlue25", colorCode: BOSCH_DDS_COLORS.boschBlue25},
      {name: "boschBlue20", colorCode: BOSCH_DDS_COLORS.boschBlue20},
      {name: "boschBlue15", colorCode: BOSCH_DDS_COLORS.boschBlue15},
      {name: "boschBlue10", colorCode: BOSCH_DDS_COLORS.boschBlue10},
      {name: "boschBlue05", colorCode: BOSCH_DDS_COLORS.boschBlue05},
    ]},
    {name: "Turquoise", colors: [
      {name: "boschTurquoise95", colorCode: BOSCH_DDS_COLORS.boschTurquoise95},
      {name: "boschTurquoise90", colorCode: BOSCH_DDS_COLORS.boschTurquoise90},
      {name: "boschTurquoise85", colorCode: BOSCH_DDS_COLORS.boschTurquoise85},
      {name: "boschTurquoise80", colorCode: BOSCH_DDS_COLORS.boschTurquoise80},
      {name: "boschTurquoise75", colorCode: BOSCH_DDS_COLORS.boschTurquoise75},
      {name: "boschTurquoise70", colorCode: BOSCH_DDS_COLORS.boschTurquoise70},
      {name: "boschTurquoise65", colorCode: BOSCH_DDS_COLORS.boschTurquoise65},
      {name: "boschTurquoise60", colorCode: BOSCH_DDS_COLORS.boschTurquoise60},
      {name: "boschTurquoise55", colorCode: BOSCH_DDS_COLORS.boschTurquoise55},
      {name: "boschTurquoise50", colorCode: BOSCH_DDS_COLORS.boschTurquoise50},
      {name: "boschTurquoise45", colorCode: BOSCH_DDS_COLORS.boschTurquoise45},
      {name: "boschTurquoise40", colorCode: BOSCH_DDS_COLORS.boschTurquoise40},
      {name: "boschTurquoise35", colorCode: BOSCH_DDS_COLORS.boschTurquoise35},
      {name: "boschTurquoise30", colorCode: BOSCH_DDS_COLORS.boschTurquoise30},
      {name: "boschTurquoise25", colorCode: BOSCH_DDS_COLORS.boschTurquoise25},
      {name: "boschTurquoise20", colorCode: BOSCH_DDS_COLORS.boschTurquoise20},
      {name: "boschTurquoise15", colorCode: BOSCH_DDS_COLORS.boschTurquoise15},
      {name: "boschTurquoise10", colorCode: BOSCH_DDS_COLORS.boschTurquoise10},
      {name: "boschTurquoise05", colorCode: BOSCH_DDS_COLORS.boschTurquoise05},
    ]},
    {name: "Green", colors: [
      {name: "boschGreen95", colorCode: BOSCH_DDS_COLORS.boschGreen95},
      {name: "boschGreen90", colorCode: BOSCH_DDS_COLORS.boschGreen90},
      {name: "boschGreen85", colorCode: BOSCH_DDS_COLORS.boschGreen85},
      {name: "boschGreen80", colorCode: BOSCH_DDS_COLORS.boschGreen80},
      {name: "boschGreen75", colorCode: BOSCH_DDS_COLORS.boschGreen75},
      {name: "boschGreen70", colorCode: BOSCH_DDS_COLORS.boschGreen70},
      {name: "boschGreen65", colorCode: BOSCH_DDS_COLORS.boschGreen65},
      {name: "boschGreen60", colorCode: BOSCH_DDS_COLORS.boschGreen60},
      {name: "boschGreen55", colorCode: BOSCH_DDS_COLORS.boschGreen55},
      {name: "boschGreen50", colorCode: BOSCH_DDS_COLORS.boschGreen50},
      {name: "boschGreen45", colorCode: BOSCH_DDS_COLORS.boschGreen45},
      {name: "boschGreen40", colorCode: BOSCH_DDS_COLORS.boschGreen40},
      {name: "boschGreen35", colorCode: BOSCH_DDS_COLORS.boschGreen35},
      {name: "boschGreen30", colorCode: BOSCH_DDS_COLORS.boschGreen30},
      {name: "boschGreen25", colorCode: BOSCH_DDS_COLORS.boschGreen25},
      {name: "boschGreen20", colorCode: BOSCH_DDS_COLORS.boschGreen20},
      {name: "boschGreen15", colorCode: BOSCH_DDS_COLORS.boschGreen15},
      {name: "boschGreen10", colorCode: BOSCH_DDS_COLORS.boschGreen10},
      {name: "boschGreen05", colorCode: BOSCH_DDS_COLORS.boschGreen05},
    ]},
    {name: "Yellow", colors: [
      {name: "boschYellow95", colorCode: BOSCH_DDS_COLORS.boschYellow95},
      {name: "boschYellow90", colorCode: BOSCH_DDS_COLORS.boschYellow90},
      {name: "boschYellow85", colorCode: BOSCH_DDS_COLORS.boschYellow85},
      {name: "boschYellow80", colorCode: BOSCH_DDS_COLORS.boschYellow80},
      {name: "boschYellow75", colorCode: BOSCH_DDS_COLORS.boschYellow75},
      {name: "boschYellow70", colorCode: BOSCH_DDS_COLORS.boschYellow70},
      {name: "boschYellow65", colorCode: BOSCH_DDS_COLORS.boschYellow65},
      {name: "boschYellow60", colorCode: BOSCH_DDS_COLORS.boschYellow60},
      {name: "boschYellow55", colorCode: BOSCH_DDS_COLORS.boschYellow55},
      {name: "boschYellow50", colorCode: BOSCH_DDS_COLORS.boschYellow50},
      {name: "boschYellow45", colorCode: BOSCH_DDS_COLORS.boschYellow45},
      {name: "boschYellow40", colorCode: BOSCH_DDS_COLORS.boschYellow40},
      {name: "boschYellow35", colorCode: BOSCH_DDS_COLORS.boschYellow35},
      {name: "boschYellow30", colorCode: BOSCH_DDS_COLORS.boschYellow30},
      {name: "boschYellow25", colorCode: BOSCH_DDS_COLORS.boschYellow25},
      {name: "boschYellow20", colorCode: BOSCH_DDS_COLORS.boschYellow20},
      {name: "boschYellow15", colorCode: BOSCH_DDS_COLORS.boschYellow15},
      {name: "boschYellow10", colorCode: BOSCH_DDS_COLORS.boschYellow10},
      {name: "boschYellow05", colorCode: BOSCH_DDS_COLORS.boschYellow05},
    ]}
  ];
}
