/*
 * Copyright (C) 2020 Robert Bosch GmbH Copyright (C) 2020 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { BciComponentModule, BciSharedModule } from '@bci-web-core/core';
import { GaugeDemoComponent } from './gauge/gauge-demo.component';
import { ChartjsDemoComponent } from './chartjs/chartjs-demo.component';
import { BciChartsModule } from '@bci-web-core/charts';
import { MatSliderModule } from '@angular/material/slider';
import { MatTabsModule } from '@angular/material/tabs';
import { OverviewChartsDemoComponent } from './overview-charts-demo/overview-charts-demo.component';

const routes: Routes = [
  {
    path: '',
    component: OverviewChartsDemoComponent
  },
  {
    path: 'gauge',
    component: GaugeDemoComponent,
  },
  {
    path: 'chartjs',
    component: ChartjsDemoComponent,
  },
];

@NgModule({
  declarations: [OverviewChartsDemoComponent,GaugeDemoComponent, ChartjsDemoComponent],
  imports: [
    RouterModule.forChild(routes),
    CommonModule,
    MatSliderModule,
    MatTabsModule,
    BciSharedModule,
    BciComponentModule,
    BciChartsModule,
  ],
  schemas: [],
})
export class ChartsDemoModule {}
