/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatNativeDateModule } from '@angular/material/core';
import { MatDatepickerModule } from '@angular/material/datepicker';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatListModule } from '@angular/material/list';
import { MatSelectModule } from '@angular/material/select';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { MatTableModule } from '@angular/material/table';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { RouterTestingModule } from '@angular/router/testing';
import { BCI_SHARED_INTL_PROVIDER, BciSharedModule, ModalWindowService } from '@bci-web-core/core';
import { UserService } from '../../shared/user-service.service';
import { CommandbarDemoComponent } from './commandbar-demo.component';
import { UserFilterService } from './filter/user-filter.service';
import { SidebarFilterComponent } from './sidebar-filter/sidebar-filter.component';

describe('CommandbarDemoComponent', () => {
  let component: CommandbarDemoComponent;
  let fixture: ComponentFixture<CommandbarDemoComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [
          BciSharedModule,
          RouterTestingModule,
          MatIconModule,
          MatTableModule,
          MatDatepickerModule,
          MatFormFieldModule,
          MatListModule,
          MatSelectModule,
          MatSlideToggleModule,
          MatNativeDateModule,
          MatInputModule,
          MatCheckboxModule,
          NoopAnimationsModule,
        ],
        declarations: [CommandbarDemoComponent, SidebarFilterComponent],
        providers: [UserService, ModalWindowService, UserFilterService, BCI_SHARED_INTL_PROVIDER],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(CommandbarDemoComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
