/*
 * Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatButtonModule } from '@angular/material/button';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatListModule } from '@angular/material/list';
import { MatSelectModule } from '@angular/material/select';
import { BciComponentModule, BciSharedModule, BciCorePicklistModule } from '@bci-web-core/core';

import { CopyModeComponent } from './copy-mode/copy-mode.component';
import { CustomFilterComponent } from './custom-filter/custom-filter.component';
import { CustomItemTemplatesComponent } from './custom-item-templates/custom-item-templates.component';
import { CustomPicklistDialogComponent } from './custom-picklist-dialog/custom-picklist-dialog.component';
import { InternationalizationComponent } from './internationalization/internationalization.component';
import { BciCorePicklistDemoComponent } from './bci-core-picklist-demo.component';
import { TargetItemsMaxLimitComponent } from './target-items-max-limit/target-items-max-limit.component';

@NgModule({
  imports: [
    BciSharedModule,
    BciComponentModule,
    CommonModule,
    ReactiveFormsModule,
    MatFormFieldModule,
    MatSelectModule,
    MatListModule,
    MatButtonModule,
    BciCorePicklistModule,
  ],
  declarations: [
    BciCorePicklistDemoComponent,
    CustomItemTemplatesComponent,
    CustomFilterComponent,
    CopyModeComponent,
    InternationalizationComponent,
    TargetItemsMaxLimitComponent,
    CustomPicklistDialogComponent
  ],
  exports: [BciCorePicklistDemoComponent],
})
export class BciCorePicklistDemoModule {}
