/*
 * Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component } from '@angular/core';

import { fruits } from '../bci-core-picklist-demo-model';

/** This demo shows the picklist's copy mode. */
@Component({
  selector: 'bci-copy-mode',
  templateUrl: './copy-mode.component.html',
  styleUrls: ['./copy-mode.component.scss'],
})
export class CopyModeComponent {
  fruitNamesList = fruits.map((fruit) => fruit.name);

  /**
   * Called when the user adds/removes items to/from the target list.
   * @param fruitNames The target items contained after the change.
   */
  // eslint-disable-next-line no-empty-function, @typescript-eslint/no-unused-vars
  onTargetChanged(fruitNames: string[]): void {}
}
