/*
 * Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { BciCorePicklistIntl } from '@bci-web-core/core';
import { Injectable } from '@angular/core';

@Injectable()
export class PicklistIntlDemo extends BciCorePicklistIntl {
  germanIntl(): void {
    this.addSelection = 'Auswahl hinzufügen';
    this.removeSelection = 'Auswahl entfernen';
    this.addAll = 'Alle hinzufügen';
    this.removeAll = 'Alle entfernen';
    this.selectAll = 'Alle auswählen';
    this.deselectAll = 'Auswahl zurücksetzen';
    this.dropPlaceholder = 'Keine Elemente vorhanden. <br> Elemente können per Drag & Drop oder das Plus-lcon hinzugefügt werden.';
    this.sourceFilterPlaceholder = 'Suchen';
    this.targetFilterPlaceholder = 'Suchen';

    this.changes.next();
  }

  englishIntl(): void {
    this.addSelection = 'Add selection';
    this.removeSelection = 'Remove selection';
    this.addAll = 'Add all';
    this.removeAll = 'Remove all';
    this.selectAll = 'Select all';
    this.deselectAll = 'Deselect all';
    this.dropPlaceholder = 'No items to display. <br> Add items by drag & drop, or clicking the add buttons';
    this.sourceFilterPlaceholder = 'Search term';
    this.targetFilterPlaceholder = 'Search term';

    this.changes.next();
  }

}
