/*
 * Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component, Input } from '@angular/core';

export interface TicketCard {
    title: string;
    optionalTitle: string;
    severity: string;
    solutionGroup: string;
    ticketType: string;
    origin: string
    dateCreated: string;
    colorState: string;
    disabled: boolean;
    focus: 'focus' | null;
}

@Component({
  selector: 'bci-ticket-card',
  templateUrl: 'ticket-card.html',
  styleUrls: ['ticket-card.scss'],
})
export class TicketCardComponent {
  @Input() data: TicketCard;
  cardColorStateDisabled = '';
  cardDisabledState = false;
  focusCard = false;
  cardHoverPressed = false;
}
