/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

export interface ExampleModel {
  label: string;
  children: any[];
}

export interface FlatModel {
  name: string;
  level: number;
  parent: string;
}

export const treeData: ExampleModel[] = [
  {
    label: 'Sith',
    children: [
      { label: 'Darth Vader', children: [] },
      { label: 'Darth Maul', children: [] },
      { label: 'Darth Bane', children: [] },
      { label: 'Darth Sidious', children: [] },
    ],
  },
  {
    label: 'Jedi',
    children: [
      { label: 'Obi-Wan Kenobi', children: [{ label: 'Anakin Skywalker', children: [] }] },
      { label: 'Count Dooku', children: [{ label: 'Qui-Gon Jinn', children: [] }] },
      { label: 'Qui-Gon Jinn', children: [{ label: 'Feemor', children: [] }] },
      { label: 'Luke Skywalker', children: [] },
      { label: 'Yoda', children: [] },
    ],
  },
  {
    label: 'misc',
    children: [
      {
        label: 'Ewoks',
        children: [
          { label: 'Wicket', children: [] },
          { label: 'Teebo', children: [] },
          { label: 'Chief Chirpa', children: [] },
          { label: 'Logray', children: [] },
          { label: 'Paploo', children: [] },
          { label: 'Lumat', children: [] },
        ],
      },
    ],
  },
];

export const flatData: FlatModel[] = [
  { name: 'Sith', level: 0, parent: '' },
  { name: 'Jedi', level: 0, parent: '' },
  { name: 'misc', level: 0, parent: '' },
  { name: 'Darth Vader', level: 1, parent: 'Sith' },
  { name: 'Darth Maul', level: 1, parent: 'Sith' },
  { name: 'Darth Bane', level: 1, parent: 'Sith' },
  { name: 'Darth Sidious', level: 1, parent: 'Sith' },
  { name: 'Obi-Wan Kenobi', level: 1, parent: 'Jedi' },
  { name: 'Count Dooku', level: 1, parent: 'Jedi' },
  { name: 'Qui-Gon Jinn', level: 1, parent: 'Jedi' },
  { name: 'Luke Skywalker', level: 1, parent: 'Jedi' },
  { name: 'Yoda', level: 1, parent: 'Jedi' },
  { name: 'Ewoks', level: 1, parent: 'misc' },
  { name: 'Wicket', level: 2, parent: 'Ewoks' },
  { name: 'Teebo', level: 2, parent: 'Ewoks' },
  { name: 'Chief Chirpa', level: 2, parent: 'Ewoks' },
  { name: 'Logray', level: 2, parent: 'Ewoks' },
  { name: 'Paploo', level: 2, parent: 'Ewoks' },
  { name: 'Lumat', level: 2, parent: 'Ewoks' },
];
