/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component, Input, EventEmitter } from '@angular/core';
import { ClosableOverlayComponentModel } from '@bci-web-core/core';

export interface CustomOverlayComponentConfig {
  userName: string;
}

@Component({
  selector: 'bci-custom-overlay',
  templateUrl: './custom-overlay.component.html',
  styleUrls: ['./custom-overlay.component.scss'],
})
export class CustomOverlayComponent implements ClosableOverlayComponentModel<CustomOverlayComponentConfig> {
  @Input() public config: CustomOverlayComponentConfig;

  onClose: EventEmitter<void> = new EventEmitter<void>();

  close() {
    this.onClose.emit();
  }
}
