import { CommonModule } from '@angular/common';
import { CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import { MatTableModule } from '@angular/material/table';
import { RouterModule, Routes } from '@angular/router';
import { BciSharedModule, BciComponentModule } from '@bci-web-core/core';
import {
  LoaderServiceDemoComponent,
  ModalWindowLoaderDemoModalComponent,
} from './loader-service-demo/loader-service-demo.component';
import { LoggerTableComponent } from './logger-table/logger-table.component';
import { OverviewServicesComponent } from './overview-services-demo/overview-services-demo.component';
import { MatPaginatorModule } from '@angular/material/paginator';


const routes: Routes = [
  {
    path: '',
    component: OverviewServicesComponent,
  },
  {
    path: 'loader-service',
    component: LoaderServiceDemoComponent,
  },
  {
    path: 'logger-service',
    component: LoggerTableComponent,
  },
];

@NgModule({
  declarations: [
    OverviewServicesComponent,
    LoggerTableComponent,
    LoaderServiceDemoComponent,
    ModalWindowLoaderDemoModalComponent,
  ],
  imports: [RouterModule.forChild(routes), CommonModule, BciSharedModule, MatTableModule, BciComponentModule, MatPaginatorModule],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
})
export class ServicesDemoModule {}
