/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  { path: '', pathMatch: 'full', redirectTo: 'maps' },
  { path: 'maps', loadChildren: () => import('./map-demos/map-demos.module').then((m) => m.MapDemosModule) },
  {
    path: 'locations',
    loadChildren: () => import('./location-demos/location-demos.module').then((m) => m.LocationDemosModule),
  },
];

@NgModule({
  imports: [RouterModule.forRoot(routes, {})],
  exports: [RouterModule],
})
export class AppRoutingModule {}
