/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { HttpClientModule } from '@angular/common/http';
import { NgModule } from '@angular/core';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { BCI_SHARED_INTL_PROVIDER, BciCoreModule, BciLayoutModule, BciSharedModule } from '@bci-web-core/core';
import { environment } from '../environments/environment';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [AppComponent],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    HttpClientModule,
    BciCoreModule.forRoot({ prod_environment: environment.production, core_config_url: '/assets/config/config.json' }),
    BciSharedModule,
    BciLayoutModule,
    AppRoutingModule,
    // ServiceWorkerModule.register('/ngsw-worker.js', { enabled: environment.production }),
    /* Material imports*/
    MatIconModule,
    MatFormFieldModule,
    MatInputModule,
  ],
  providers: [BCI_SHARED_INTL_PROVIDER],
  bootstrap: [AppComponent],
})
export class AppModule {}
