/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { LightDarkThemeComponent } from './light-dark-theme/light-dark-theme.component';
import { MapEditorComponent } from './map-editor/map-editor.component';
import { OpenStreetMapsComponent } from './open-street-maps/open-street-maps.component';

const routes: Routes = [
  { path: '', pathMatch: 'full', redirectTo: 'osm' },
  { path: 'osm', component: OpenStreetMapsComponent },
  { path: 'themes', component: LightDarkThemeComponent },
  { path: 'editor', component: MapEditorComponent },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class MapDemosRoutingModule {}
