/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { CommonModule } from '@angular/common';
import { CUSTOM_ELEMENTS_SCHEMA, NgModule } from '@angular/core';
import { MatButtonToggleModule } from '@angular/material/button-toggle';
import { MatExpansionModule } from '@angular/material/expansion';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatListModule } from '@angular/material/list';
import { MatSelectModule } from '@angular/material/select';
import { MatSliderModule } from '@angular/material/slider';
import { BciSharedModule } from '@bci-web-core/core';
import { GenericMapsModule } from '@bci-web-core/maps';
import { LightDarkThemeComponent } from './light-dark-theme/light-dark-theme.component';
import { MapDemosRoutingModule } from './map-demos-routing.module';
import { MapEditorComponent } from './map-editor/map-editor.component';
import { OpenStreetMapsComponent } from './open-street-maps/open-street-maps.component';

@NgModule({
  imports: [
    CommonModule,
    GenericMapsModule,
    BciSharedModule,
    MapDemosRoutingModule,
    MatSliderModule,
    MatSelectModule,
    MatListModule,
    MatIconModule,
    MatButtonToggleModule,
    MatExpansionModule,
    MatInputModule,
  ],
  declarations: [OpenStreetMapsComponent, LightDarkThemeComponent, MapEditorComponent],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
})
export class MapDemosModule {}
