/*
 * Copyright (C) 2020 Robert Bosch GmbH Copyright (C) 2020 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Color, PointStyle } from 'chart.js';

export class BciChartDataSet {
  /**
   * the dataset's label
   */
  label: string;
  backgroundColor?: string;
  borderColor?: Color;
  fill?: boolean;

  barPercentage?: number;
  tension?: number;

  fontColor?: Color;
  borderCapStyle?: CanvasLineCap;
  borderDash?: number[];
  borderDashOffset?: number;
  borderJoinStyle?: CanvasLineJoin;
  borderWidth?: number;
  pointStyle?: PointStyle;
  /**
   * the dataset's values
   */
  data: any[];
}

export class BciChartData {
  labels?: string[];
  datasets: BciChartDataSet[];
}

export type BciChartType = 'line' | 'bar';
