/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { AlertType, PrimaryButton } from './alert.enums';

/**
  type - which type of alert (None, Info, Success, Warning, Error)
  title - title of the dialog
  additionalTitle - additional title of the dialog that is separated from normal title with an underline (only applies if the type of the alert box is None)
  description - the main text in the dialog
  infoText - optional info text below the description
  primaryButton - select which button should be the primary button
  leftButtonTitle - the title of the left button on the right side
  rightButtonTitle - the title of the most right button
  outerLeftButtonTitle - the Title of the most left button
  outerLeftButtonDisabled - disable the most left button
  leftButtonDisabled - disable the left button on the right side
  rightButtonDisabled - disable the most right button
  closeIconHidden - show close icon in the dialog
*/
export interface AlertBoxOptions {
  type: AlertType;
  title?: string;
  additionalTitle?: string;
  description?: string;
  infoText?: string; 
  primaryButton?: PrimaryButton; 
  leftButtonTitle: string;
  rightButtonTitle?: string;
  outerLeftButtonTitle?: string;
  outerLeftButtonDisabled?: boolean;
  leftButtonDisabled?: boolean;
  rightButtonDisabled?: boolean;
  closeIconHidden?: boolean;
}
