/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'bci-sidebar-nav-item-overlay',
  templateUrl: './bci-sidebar-nav-item-overlay.component.html',
  styleUrls: ['./bci-sidebar-nav-item-overlay.component.scss'],
})
export class BciSidebarNavItemOverlayComponent {
  /**
   * Informs that the component wishes to be closed. Used by the overlay handler.
   */
  @Output()
  // eslint-disable-next-line @angular-eslint/no-output-native
  close: EventEmitter<void> = new EventEmitter<void>();

  @Input()
  showClose = true;

  clickClose() {
    this.close.emit();
  }
}
