/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

/**
 * Loading screen options.
 */
export interface LoadingScreenOptions {
  /**
   * Loading screen title.
   * @default: `BciSharedIntl.loadingTitle`
   */
  title?: string;

  /**
   * The initial value (in percentage) of the progress bar.
   * @default: 0
   */
  initialValue?: number;

  /**
   * The initial value of the progress bar.
   * @default: `BciSharedIntl.loadingStatus`
   */
  initialStatus?: string;

  /**
   * TRUE to show an indeterminate progress bar. Also hides the progress value.
   * @default: true
   */
  indeterminate?: boolean;

  /**
   * TRUE to have a closeable loading screen.
   * @default: false
   */
  closeable?: boolean;

  /**
   * The loading screen dialog width.
   * @default: '600px'
   */
  dialogScreenWidth?: string;
}
