/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

export class NotificationItem {
  constructor(
    public message: string,
    public action: string,
    public type: NotificationTypes,
    public date?: Date,
    public messageDetails?: string,
    public link?: string
  ) {}
}

export enum NotificationTypes {
  Information = 'information',
  Error = 'error',
  Warning = 'warning',
  Success = 'success',
}

export interface BannerButton {
  text?: string;
  link?: string;
  clickHandler?: () => void;
}

export interface BannerMessage {
  text: string;
  bannerClass: NotificationTypes;
  buttons?: BannerButton[];
  showDismissButton: boolean;
  bannerId?: string;
}
