/*
 * Copyright (C) 2021 Robert Bosch GmbH Copyright (C) 2021 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Injectable } from '@angular/core';
import { Subject } from 'rxjs';

@Injectable()
export class BciColumnSelectorIntl {
  /** A title for the dialog. */
  dialogTitle = 'Select columns';

  /** A label for available columns in the picklist. */
  picklistSourceHeader = 'Available columns';

  /** A label for selected columns in the picklist. */
  picklistTargetHeader = 'Selected columns';

  /** A label for the button that saves the selected columns. */
  save = 'Save';

  /** A label for the button that cancel the changes. */
  cancel = 'Cancel';

  /** Use this to notify the component on labels that have changed since initialization. */
  readonly changes = new Subject();
}

export const BCI_COLUMN_SELECTOR_INTL_PROVIDER = {
  provide: BciColumnSelectorIntl,
  useClass: BciColumnSelectorIntl,
};
