/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Injectable } from '@angular/core';

export interface GenericLocationFormState {
  generalPanelExpanded: boolean;
  addressPanelExpanded: boolean;
  positionPanelExpanded: boolean;
  boundaryPanelExpanded: boolean;
  supplementsPanelExpanded: boolean;
}

/**
 * Service to remember which panels are expanded and which are collapsed.
 */
@Injectable()
export class GenericLocationFormUIService {
  public readonly state: GenericLocationFormState = {
    generalPanelExpanded: true,
    addressPanelExpanded: false,
    positionPanelExpanded: false,
    boundaryPanelExpanded: false,
    supplementsPanelExpanded: false,
  };
}
