/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { LsAddress } from './lsAddress';
import { LsBoundary } from './lsBoundary';
import { LsPosition } from './lsPosition';

/**
 * Typing for locations of the location service.
 */
export interface LsLocation {
  id: string;
  parentLocationId?: string;
  name: string;
  type: string;
  geoCoordinate?: LsPosition;
  boundary?: LsBoundary;
  address?: LsAddress;
  supplements?: { [key: string]: string };
}
