/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

/**
 * Configures how the WidgetDefinition will be displayed in the WidgetCatalog
 */
export interface CatalogConf {
  /**
   * Unique identifier
   */
  id: string;
  /**
   * Title will be displayed in WidgetCatalog
   */
  title: string;
  /**
   * Description will be displayed in WidgetCatalog
   */
  description: string;
  /**
   * Icon will be displayed in WidgetCatalog
   * Supports bci-generic-web-styles
   */
  icon?: string;
  /**
   * Icon will be displayed in WidgetCatalog
   * Supports bci-generic-web-styles
   */
  imageUrl?: string;
  /**
   * Hides WidgetDefinition in WidgetCatalog
   */
  visible: boolean;
  /**
   * Orders WidgetDefiniton to one or more categories
   */
  categoryIds: string[];
}
