/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Widget } from './widget';

/**
 * Used to import/export pinboard grids
 */
export interface PinboardConfig {
  /**
   * Unique identifier. not set for new pinboards
   */
  id?: string;
  /**
   * Widgets from the pinboard grid
   */
  settings: Widget[];
  /**
   * label to be displayed as tab header
   */
  label: string;
  /**
   * Decides the order of the dashboard tabs.
   */
  priority?: number;
  /**
   * Whether a dashboard is shared with the current user.
   */
  isShared?: boolean;
  /**
   * Whether a shared dashboard has read or write permissions.
   */
  permission?: 'View' | 'Edit' | string;
  /**
   * Whether a shared shared should be shown as visible.
   */
  isVisible?: boolean;
  /**
   * The owner's user id of a shared dashboard
   */
  ownerId?: string;
  /**
   * The owner's name of a shared dashboard
   */
  ownerName?: string;
}
