/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { Widget } from './widget';

/**
 * All contentComponents have to implement this interface
 */
export interface WidgetContentComponent {
  widget: Widget<any, any, any>;

  /**
   * Handles resize
   */
  resize(): void;

  /**
   * Updates the view (component)
   * @param resizeAfter - optional: call resize method after update
   */
  update(resizeAfter?: boolean): void;
}
